#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_client_setup, "", "");
KSYMTAB_FUNC(drm_client_setup_with_fourcc, "", "");
KSYMTAB_FUNC(drm_client_setup_with_color_mode, "", "");

SYMBOL_CRC(drm_client_setup, 0xfbe1e5e4, "");
SYMBOL_CRC(drm_client_setup_with_fourcc, 0x96df9700, "");
SYMBOL_CRC(drm_client_setup_with_color_mode, 0x47125404, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfab9924e, "drm_client_register" },
	{ 0xcad73539, "drm_fb_helper_init" },
	{ 0xe71857f7, "drm_fb_helper_lastclose" },
	{ 0x192640e0, "drm_helper_disable_unused_functions" },
	{ 0x3aeaad4f, "drm_fb_helper_unprepare" },
	{ 0x3aeaad4f, "drm_fb_helper_fini" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x7f51d1b7, "dev_driver_string" },
	{ 0x9ddf0cec, "drm_fb_helper_hotplug_event" },
	{ 0x8b7491b7, "drm_fb_helper_set_suspend_unlocked" },
	{ 0xf80e761c, "drm_client_init" },
	{ 0xf4d4cc6c, "drm_driver_color_mode_format" },
	{ 0x9edf6e28, "drm_fb_helper_prepare" },
	{ 0x3e0f2371, "_dev_err" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0x8b7491b7, "drm_fb_helper_set_suspend" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x3237cbf2, "drm_format_info_bpp" },
	{ 0xfab9924e, "drm_client_release" },
	{ 0xd2eb7df6, "param_ops_string" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xa7754093, "drm_format_info" },
	{ 0x9ddf0cec, "drm_fb_helper_initial_config" },
	{ 0x3aeaad4f, "drm_fb_helper_unregister_info" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xfab9924e,
	0xcad73539,
	0xe71857f7,
	0x192640e0,
	0x3aeaad4f,
	0x3aeaad4f,
	0xcb8b6ec6,
	0x7f51d1b7,
	0x9ddf0cec,
	0x8b7491b7,
	0xf80e761c,
	0xf4d4cc6c,
	0x9edf6e28,
	0x3e0f2371,
	0x3e0f2371,
	0x8b7491b7,
	0xd272d446,
	0x3237cbf2,
	0xfab9924e,
	0xd2eb7df6,
	0xe69ddf93,
	0x75738bed,
	0xa7754093,
	0x9ddf0cec,
	0x3aeaad4f,
	0x148250ae,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"drm_client_register\0"
	"drm_fb_helper_init\0"
	"drm_fb_helper_lastclose\0"
	"drm_helper_disable_unused_functions\0"
	"drm_fb_helper_unprepare\0"
	"drm_fb_helper_fini\0"
	"kfree\0"
	"dev_driver_string\0"
	"drm_fb_helper_hotplug_event\0"
	"drm_fb_helper_set_suspend_unlocked\0"
	"drm_client_init\0"
	"drm_driver_color_mode_format\0"
	"drm_fb_helper_prepare\0"
	"_dev_err\0"
	"_dev_warn\0"
	"drm_fb_helper_set_suspend\0"
	"__s390_indirect_jump_r14\0"
	"drm_format_info_bpp\0"
	"drm_client_release\0"
	"param_ops_string\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"drm_format_info\0"
	"drm_fb_helper_initial_config\0"
	"drm_fb_helper_unregister_info\0"
	"kmalloc_caches\0"
	"module_layout\0"
;

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "A4937307524E19DBB8A64B1");
MODULE_INFO(rhelversion, "10.99");
