#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xa6a37c41, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xa6a37c41, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x577b7054, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x32361204, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x683f480a, "");
SYMBOL_CRC(sas_resume_ha, 0x683f480a, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x683f480a, "");
SYMBOL_CRC(sas_suspend_ha, 0x683f480a, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x5f3a1ffa, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xeb046791, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x4dc71dd0, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xff9ebc17, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x97326a4b, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xc568c466, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xa080d9ee, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x7c34f8e4, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x25a8db3a, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x25a8db3a, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x25a8db3a, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xae724434, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xe5927136, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0xcc9c4def, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xc4b3239f, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xc59775a5, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xc380562e, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xd77cced5, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0xd7c51e39, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xd7c51e39, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xd7c51e39, "_gpl");
SYMBOL_CRC(sas_query_task, 0xc71588c3, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xc71588c3, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xbb64ee69, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0xb6e21b1a, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x8962175e, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x811ea2e0, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x22e1943d, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x94adc0dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a3f1415, "release_firmware" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xc0f8297a, "sas_rphy_remove" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0xbeb1d261, "drain_workqueue" },
	{ 0xf311d2c1, "bsg_job_done" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x8ff86be9, "complete" },
	{ 0xc0f8297a, "sas_rphy_unlink" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xda44517b, "simple_strtol" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0xd2b8442d, "scsi_schedule_eh" },
	{ 0x82bcbc30, "request_firmware" },
	{ 0xe6befa9f, "scnprintf" },
	{ 0xe956fd67, "sas_port_alloc" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x90a4e58d, "scsi_eh_ready_devs" },
	{ 0x6ac784f4, "schedule_timeout_interruptible" },
	{ 0xdbe07441, "sas_port_get_phy" },
	{ 0x66526f72, "sg_init_one" },
	{ 0x0eb7f4a1, "int_to_scsilun" },
	{ 0x2352b148, "timer_delete" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x2352b148, "timer_delete_sync" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x92c4d1a8, "scsi_eh_get_sense" },
	{ 0x9a77d310, "get_device" },
	{ 0x8b3f9b75, "hex2bin" },
	{ 0xb2160578, "sas_phy_alloc" },
	{ 0xe8213e80, "_printk" },
	{ 0x6ac784f4, "schedule_timeout" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x46b1f361, "put_device" },
	{ 0x0746002e, "strnlen" },
	{ 0x3e0f2371, "_dev_info" },
	{ 0x45c71147, "sas_phy_free" },
	{ 0x7b9ffe89, "scsi_eh_finish_cmd" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x74af998c, "scsi_eh_flush_done_q" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xa470b7e2, "add_timer" },
	{ 0x5ac138f2, "sas_port_add" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0xfc606c10, "sas_port_mark_backlink" },
	{ 0xf991b926, "kmem_cache_free" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x0c76fe76, "sas_end_device_alloc" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x3e9fa80c, "sas_read_port_mode_page" },
	{ 0x7984ddd2, "sas_expander_alloc" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xc0f8297a, "sas_rphy_delete" },
	{ 0x5a6a58e0, "scsi_is_host_device" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0xe1e9bfc7, "sas_attach_transport" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0xcd1e9e6a, "kmem_cache_alloc_noprof" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0xd8ac5fea, "__kmem_cache_create_args" },
	{ 0x1773decf, "scsi_host_busy" },
	{ 0xfc606c10, "sas_port_delete" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xa366898c, "sas_rphy_add" },
	{ 0xa75756dd, "sas_port_delete_phy" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xc0f8297a, "sas_rphy_free" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xa75756dd, "sas_port_add_phy" },
	{ 0x382f5ac8, "blk_mq_tagset_busy_iter" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xa1446b2d, "scsi_done" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xb30d7a6b, "scsi_unblock_requests" },
	{ 0x59b9dcbb, "sas_phy_add" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xf5fede5a, "sg_copy_from_buffer" },
	{ 0xfc606c10, "sas_port_free" },
	{ 0xb30d7a6b, "scsi_block_requests" },
	{ 0x001a94f3, "blk_abort_request" },
	{ 0x8f556789, "sg_copy_to_buffer" },
	{ 0x4f97a523, "sas_remove_children" },
	{ 0x4255a9f5, "scsi_change_queue_depth" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0xba9e1367, "kmem_cache_destroy" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x8a3f1415,
	0xdc352a3b,
	0xdf4bee3d,
	0xc0f8297a,
	0x76ceef55,
	0xbeb1d261,
	0xf311d2c1,
	0x809f63d8,
	0xd272d446,
	0xe6befa9f,
	0x8ff86be9,
	0xc0f8297a,
	0x49733ad6,
	0xd272d446,
	0xda44517b,
	0x23109dc0,
	0xf62c71e3,
	0xd2b8442d,
	0x82bcbc30,
	0xe6befa9f,
	0xe956fd67,
	0xd272d446,
	0xfbe7861b,
	0xcb8b6ec6,
	0x90a4e58d,
	0x6ac784f4,
	0xdbe07441,
	0x66526f72,
	0x0eb7f4a1,
	0x2352b148,
	0xb6d2241d,
	0x2352b148,
	0x0433c0cc,
	0x92c4d1a8,
	0x9a77d310,
	0x8b3f9b75,
	0xb2160578,
	0xe8213e80,
	0x6ac784f4,
	0x2520ea93,
	0xd272d446,
	0x46b1f361,
	0x0746002e,
	0x3e0f2371,
	0x45c71147,
	0x7b9ffe89,
	0xd272d446,
	0x74af998c,
	0x7a5ffe84,
	0xd272d446,
	0xa470b7e2,
	0x5ac138f2,
	0xbeb1d261,
	0x760fcb1a,
	0xfc606c10,
	0xf991b926,
	0xd272d446,
	0x4f1e5fd0,
	0xaff69526,
	0x0c76fe76,
	0x43f152f9,
	0xf521a19a,
	0x3e9fa80c,
	0x7984ddd2,
	0x3e0f2371,
	0xd272d446,
	0xc0f8297a,
	0x5a6a58e0,
	0x8ff86be9,
	0xe1e9bfc7,
	0xbeb1d261,
	0xcd1e9e6a,
	0x9a963e9f,
	0xd8ac5fea,
	0x1773decf,
	0xfc606c10,
	0x058c185a,
	0xd272d446,
	0xdd6830c7,
	0xa366898c,
	0xa75756dd,
	0x760fcb1a,
	0xc0f8297a,
	0x23f25c0a,
	0xe69ddf93,
	0x75738bed,
	0xa75756dd,
	0x382f5ac8,
	0xd272d446,
	0xa1446b2d,
	0x02f9bbf0,
	0xb30d7a6b,
	0x59b9dcbb,
	0xd272d446,
	0xf5fede5a,
	0xfc606c10,
	0xb30d7a6b,
	0x001a94f3,
	0x8f556789,
	0x4f97a523,
	0x4255a9f5,
	0x148250ae,
	0xba9e1367,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"release_firmware\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"sas_rphy_remove\0"
	"__kmalloc_noprof\0"
	"drain_workqueue\0"
	"bsg_job_done\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"complete\0"
	"sas_rphy_unlink\0"
	"queue_work_on\0"
	"__s390_indirect_jump_r13\0"
	"simple_strtol\0"
	"__init_swait_queue_head\0"
	"finish_wait\0"
	"scsi_schedule_eh\0"
	"request_firmware\0"
	"scnprintf\0"
	"sas_port_alloc\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"kfree\0"
	"scsi_eh_ready_devs\0"
	"schedule_timeout_interruptible\0"
	"sas_port_get_phy\0"
	"sg_init_one\0"
	"int_to_scsilun\0"
	"timer_delete\0"
	"prepare_to_wait_event\0"
	"timer_delete_sync\0"
	"__wake_up\0"
	"scsi_eh_get_sense\0"
	"get_device\0"
	"hex2bin\0"
	"sas_phy_alloc\0"
	"_printk\0"
	"schedule_timeout\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"strnlen\0"
	"_dev_info\0"
	"sas_phy_free\0"
	"scsi_eh_finish_cmd\0"
	"__s390_indirect_jump_r6\0"
	"scsi_eh_flush_done_q\0"
	"init_wait_entry\0"
	"__s390_indirect_jump_r9\0"
	"add_timer\0"
	"sas_port_add\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"sas_port_mark_backlink\0"
	"kmem_cache_free\0"
	"__s390_indirect_jump_r10\0"
	"__list_del_entry_valid_or_report\0"
	"__mutex_init\0"
	"sas_end_device_alloc\0"
	"mutex_lock_interruptible\0"
	"__fortify_panic\0"
	"sas_read_port_mode_page\0"
	"sas_expander_alloc\0"
	"_dev_warn\0"
	"__s390_indirect_jump_r14\0"
	"sas_rphy_delete\0"
	"scsi_is_host_device\0"
	"wait_for_completion\0"
	"sas_attach_transport\0"
	"__flush_workqueue\0"
	"kmem_cache_alloc_noprof\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"scsi_host_busy\0"
	"sas_port_delete\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"sprintf\0"
	"sas_rphy_add\0"
	"sas_port_delete_phy\0"
	"mutex_unlock\0"
	"sas_rphy_free\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"sas_port_add_phy\0"
	"blk_mq_tagset_busy_iter\0"
	"__s390_indirect_jump_r5\0"
	"scsi_done\0"
	"timer_init_key\0"
	"scsi_unblock_requests\0"
	"sas_phy_add\0"
	"__s390_indirect_jump_r11\0"
	"sg_copy_from_buffer\0"
	"sas_port_free\0"
	"scsi_block_requests\0"
	"blk_abort_request\0"
	"sg_copy_to_buffer\0"
	"sas_remove_children\0"
	"scsi_change_queue_depth\0"
	"kmalloc_caches\0"
	"kmem_cache_destroy\0"
	"module_layout\0"
;

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "701C0D61590A8E0EE69D038");
MODULE_INFO(rhelversion, "10.99");
