#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(garp_request_join, "_gpl", "");
KSYMTAB_FUNC(garp_request_leave, "_gpl", "");
KSYMTAB_FUNC(garp_init_applicant, "_gpl", "");
KSYMTAB_FUNC(garp_uninit_applicant, "_gpl", "");
KSYMTAB_FUNC(garp_register_application, "_gpl", "");
KSYMTAB_FUNC(garp_unregister_application, "_gpl", "");

SYMBOL_CRC(garp_request_join, 0xbd8149d3, "_gpl");
SYMBOL_CRC(garp_request_leave, 0xacb8cfe3, "_gpl");
SYMBOL_CRC(garp_init_applicant, 0x18b60158, "_gpl");
SYMBOL_CRC(garp_uninit_applicant, 0xdf56cc69, "_gpl");
SYMBOL_CRC(garp_register_application, 0x5d7c617d, "_gpl");
SYMBOL_CRC(garp_unregister_application, 0x2948eeed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x985b4740, "__get_random_u32_below" },
	{ 0x058c185a, "jiffies" },
	{ 0x32feeafc, "mod_timer" },
	{ 0x550eb39b, "stp_proto_register" },
	{ 0xd8a29bd7, "stp_proto_unregister" },
	{ 0x35b71ae3, "skb_push" },
	{ 0x4387832c, "llc_mac_hdr_init" },
	{ 0xd17620a4, "skb_queue_tail" },
	{ 0x8e3a8f6d, "__alloc_skb" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x7851be11, "rtnl_is_locked" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0xf287139d, "dev_mc_add" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x50629d65, "rb_first" },
	{ 0x5490c000, "rb_next" },
	{ 0x896ebb08, "__dev_queue_xmit" },
	{ 0x601528ae, "skb_dequeue" },
	{ 0x2352b148, "timer_shutdown_sync" },
	{ 0xf287139d, "dev_mc_del" },
	{ 0x35b71ae3, "skb_pull" },
	{ 0xa33fdcb4, "__pskb_pull_tail" },
	{ 0xee8a2c68, "sk_skb_reason_drop" },
	{ 0xd2eb7df6, "param_ops_uint" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0x8cb0d1eb,
	0x76ceef55,
	0xfbe7861b,
	0xf5d8d228,
	0x534ed5f3,
	0x985b4740,
	0x058c185a,
	0x32feeafc,
	0x550eb39b,
	0xd8a29bd7,
	0x35b71ae3,
	0x4387832c,
	0xd17620a4,
	0x8e3a8f6d,
	0xf5d8d228,
	0xcb8b6ec6,
	0x7851be11,
	0x148250ae,
	0xe69ddf93,
	0xf287139d,
	0x02f9bbf0,
	0xa4c0178c,
	0x75738bed,
	0xfcc2e8f3,
	0x809f63d8,
	0x50629d65,
	0x5490c000,
	0x896ebb08,
	0x601528ae,
	0x2352b148,
	0xf287139d,
	0x35b71ae3,
	0xa33fdcb4,
	0xee8a2c68,
	0xd2eb7df6,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r14\0"
	"memcmp\0"
	"__kmalloc_noprof\0"
	"memcpy\0"
	"rb_insert_color\0"
	"__msecs_to_jiffies\0"
	"__get_random_u32_below\0"
	"jiffies\0"
	"mod_timer\0"
	"stp_proto_register\0"
	"stp_proto_unregister\0"
	"skb_push\0"
	"llc_mac_hdr_init\0"
	"skb_queue_tail\0"
	"__alloc_skb\0"
	"rb_erase\0"
	"kfree\0"
	"rtnl_is_locked\0"
	"kmalloc_caches\0"
	"__kmalloc_cache_noprof\0"
	"dev_mc_add\0"
	"timer_init_key\0"
	"kvfree_call_rcu\0"
	"__warn_printk\0"
	"__local_bh_enable_ip\0"
	"arch_spin_lock_wait\0"
	"rb_first\0"
	"rb_next\0"
	"__dev_queue_xmit\0"
	"skb_dequeue\0"
	"timer_shutdown_sync\0"
	"dev_mc_del\0"
	"skb_pull\0"
	"__pskb_pull_tail\0"
	"sk_skb_reason_drop\0"
	"param_ops_uint\0"
	"module_layout\0"
;

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "EBF5C711D2AA49A4250CA7E");
MODULE_INFO(rhelversion, "10.99");
