#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x38935cc3, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x4260ab32, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xc14e689c, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xeee90550, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x9526efb7, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x22b13b49, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xa8158d6b, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x0e902f11, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x2550e859, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xae73436f, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xb3f8a95d, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xb3f8a95d, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xd89f7f75, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x1e8cdb4e, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xdabc285e, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x7ee7b230, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x9c73a012, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xe35da376, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xfafe9686, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x494ef24f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x5d860b03, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xbacf3ece, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x7daecc78, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x2faf77e1, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x32ec69ec, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xfe1f9f4a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x52d560fe, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x0bb1e413, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x3fa058b2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xec22321f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x8158c851, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ef54fb9, "devm_kmalloc" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x19cb4cd9, "crypto_init_queue" },
	{ 0xb41da8c0, "kthread_create_worker_on_node" },
	{ 0xc5936374, "wake_up_process" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x3e0f2371, "_dev_err" },
	{ 0x3e0f2371, "_dev_info" },
	{ 0x65de1df8, "sched_set_fifo" },
	{ 0x1199ecae, "crypto_register_aead" },
	{ 0xb75486c4, "crypto_unregister_aead" },
	{ 0xb6d528fc, "crypto_register_ahash" },
	{ 0x879152aa, "crypto_unregister_ahash" },
	{ 0xd9852eda, "crypto_register_akcipher" },
	{ 0x8e51bb21, "crypto_unregister_akcipher" },
	{ 0x4ef0e191, "crypto_register_kpp" },
	{ 0xcaac6e81, "crypto_unregister_kpp" },
	{ 0x1bed2033, "crypto_register_skcipher" },
	{ 0xeac74645, "crypto_unregister_skcipher" },
	{ 0xe0b6cf08, "kthread_queue_work" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x1f01262b, "crypto_enqueue_request" },
	{ 0x67628f51, "msleep" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0x50ce1bc8, "kthread_destroy_worker" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x0594c33b, "crypto_dequeue_request" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x934a1124, "crypto_enqueue_request_head" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x6ef54fb9,
	0xe6befa9f,
	0x19cb4cd9,
	0xb41da8c0,
	0xc5936374,
	0xd272d446,
	0x3e0f2371,
	0x3e0f2371,
	0x65de1df8,
	0x1199ecae,
	0xb75486c4,
	0xb6d528fc,
	0x879152aa,
	0xd9852eda,
	0x8e51bb21,
	0x4ef0e191,
	0xcaac6e81,
	0x1bed2033,
	0xeac74645,
	0xe0b6cf08,
	0x809f63d8,
	0x1f01262b,
	0x67628f51,
	0x3e0f2371,
	0x50ce1bc8,
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0x0594c33b,
	0xd272d446,
	0x934a1124,
	0xd272d446,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"devm_kmalloc\0"
	"snprintf\0"
	"crypto_init_queue\0"
	"kthread_create_worker_on_node\0"
	"wake_up_process\0"
	"__s390_indirect_jump_r14\0"
	"_dev_err\0"
	"_dev_info\0"
	"sched_set_fifo\0"
	"crypto_register_aead\0"
	"crypto_unregister_aead\0"
	"crypto_register_ahash\0"
	"crypto_unregister_ahash\0"
	"crypto_register_akcipher\0"
	"crypto_unregister_akcipher\0"
	"crypto_register_kpp\0"
	"crypto_unregister_kpp\0"
	"crypto_register_skcipher\0"
	"crypto_unregister_skcipher\0"
	"kthread_queue_work\0"
	"arch_spin_lock_wait\0"
	"crypto_enqueue_request\0"
	"msleep\0"
	"_dev_warn\0"
	"kthread_destroy_worker\0"
	"__s390_indirect_jump_r4\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r6\0"
	"crypto_dequeue_request\0"
	"__s390_indirect_jump_r7\0"
	"crypto_enqueue_request_head\0"
	"__s390_indirect_jump_r3\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED8839F6A13EA1157C70E9");
MODULE_INFO(rhelversion, "10.99");
