#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_map_rcd_linkcap, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_dpa_fetch, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_get_dirty_count, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_arm_dirty_shutdown, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_gpf_get_dvsec, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_setup, "_gpl", "");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_get_spa_cache_alias, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x80733e99, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x6f05e288, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x6f05e288, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x6f05e288, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x29fbb3e4, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x2ba7e85a, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x21cb2ebc, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x7fd444b0, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xecf2ac65, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xa4074651, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xb39cd2c7, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x8514cc4d, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x8f35f755, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x9d581963, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf2b676c3, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xb6df400a, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xb8cdb60e, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xb4d2e571, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x7b9d23b7, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xe28553b6, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x0b3421be, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xbb9055c2, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x59c14934, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xde234685, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xde234685, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xd189ea25, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x5f23537a, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x3c554670, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0xd272d446, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0xd272d446, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xdbfd9fec, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xa0b1247a, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x66e0c667, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xa2e12176, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x2f5ac499, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xfff99389, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x58505191, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x64080465, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xb4f1d66f, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x9822fbf8, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xb23e691c, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x3f8f804c, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x973cc526, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xbf594bf1, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x4c41bcf9, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5b2a4555, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xe7f9f905, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xa837634b, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x36bd3906, "_gpl");
SYMBOL_CRC(cxl_dport_map_rcd_linkcap, 0x2f2d977f, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x992ed335, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x4a6dc51d, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x6cfdfe3a, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x6cfdfe3a, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xa41a8989, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x42dbbb2e, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x2bfec9f1, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x2bfec9f1, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xa2be280e, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x6efee4e3, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x671fe56c, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xbd328f86, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x828cfec2, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xe449a0c9, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xab207b14, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x828cfec2, "_gpl");
SYMBOL_CRC(cxl_mem_dpa_fetch, 0x9635017c, "_gpl");
SYMBOL_CRC(cxl_get_dirty_count, 0x38494c41, "_gpl");
SYMBOL_CRC(cxl_arm_dirty_shutdown, 0x828cfec2, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x828cfec2, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x9841b5a8, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x828cfec2, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0xda47f2b8, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x44f3f88b, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xa6a7de38, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x98442153, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xbf3cc7af, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x0c54c4c6, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xfba6a1cf, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x4f1cf19e, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x3eae5ed6, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x5edd27e2, "_gpl");
SYMBOL_CRC(cxl_gpf_get_dvsec, 0x8570a4a3, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x799c7860, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x5cc621d3, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xb5cf7101, "_gpl");
SYMBOL_CRC(cxl_dpa_setup, 0x04b15ce3, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x94996b4a, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x3dd1dabd, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x399a2132, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x8205a288, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x20a25d57, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x20a25d57, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x64080465, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x64080465, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x8f4b2c97, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x8a945264, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x30f930d4, "_gpl");
SYMBOL_CRC(cxl_port_get_spa_cache_alias, 0xae3a4472, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b314b43, "firmware_upload_register" },
	{ 0x21f931bb, "add_uevent_var" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x0f945e23, "pcie_capability_read_word" },
	{ 0x9ca717af, "mt_perf_to_adistance" },
	{ 0x9f222e1e, "alloc_chrdev_region" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xf383f57d, "device_match_type" },
	{ 0x1010dd51, "request_resource" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xb869c64f, "bpf_trace_run4" },
	{ 0x6ef54fb9, "devm_kmalloc" },
	{ 0x87697d5a, "memregion_free" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0xbeb1d261, "drain_workqueue" },
	{ 0x232a678b, "dev_set_name" },
	{ 0xd2eb7df6, "param_ops_ushort" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x66ef3f5d, "trace_raw_output_prep" },
	{ 0xb11d82f8, "memregion_alloc" },
	{ 0xdd45951a, "sysfs_streq" },
	{ 0x71ba9545, "cdev_device_del" },
	{ 0x4a69496a, "bpf_trace_run6" },
	{ 0x4dc5a4fc, "pci_doe" },
	{ 0x46b1f361, "device_unregister" },
	{ 0xdca68ccb, "__trace_trigger_soft_disabled" },
	{ 0x627fad53, "zpci_load" },
	{ 0x22d843bb, "trace_event_printf" },
	{ 0xbd03ed67, "page_noexec_mask" },
	{ 0xf5779d6f, "devm_ioremap" },
	{ 0x12ad300e, "iounmap" },
	{ 0x46b1f361, "device_initialize" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfebf2c5d, "trace_event_raw_init" },
	{ 0x0c80d96e, "vmemdup_user" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x039915dd, "device_for_each_child" },
	{ 0x0feb1e94, "usleep_range_state" },
	{ 0xca7142fc, "bpf_trace_run2" },
	{ 0x9a77d310, "get_device" },
	{ 0x1a74af9c, "__dynamic_dev_dbg" },
	{ 0x0735b931, "trace_print_hex_seq" },
	{ 0xfd285498, "register_memory_notifier" },
	{ 0x24db4285, "__release_region" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0xd7ae4c27, "platform_bus" },
	{ 0x7f51d1b7, "dev_driver_string" },
	{ 0x66c08304, "trace_event_buffer_commit" },
	{ 0x963a990a, "pci_read_config_dword" },
	{ 0x6a3925b6, "__devm_request_region" },
	{ 0x269ee7d2, "firmware_upload_unregister" },
	{ 0xe8213e80, "_printk" },
	{ 0x5c739a4d, "cdev_device_add" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xf1ce4b63, "walk_iomem_res_desc" },
	{ 0x46b1f361, "put_device" },
	{ 0xdca8870c, "cdat_table_parse" },
	{ 0xd4e904c2, "bus_for_each_dev" },
	{ 0xa370ec59, "sysfs_create_link" },
	{ 0xce08e170, "remove_resource" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xfd285498, "unregister_mt_adistance_algorithm" },
	{ 0xfd7c2a2d, "perf_trace_run_bpf_submit" },
	{ 0x0156fe23, "sysfs_update_group" },
	{ 0x1cd66019, "bus_unregister" },
	{ 0x09977ec6, "down_write" },
	{ 0x0689357c, "devm_kfree" },
	{ 0x3e0f2371, "_dev_err" },
	{ 0x09977ec6, "up_write" },
	{ 0xa2fd210b, "sort" },
	{ 0xbf52cb12, "debugfs_create_bool" },
	{ 0x64d543f2, "bus_find_device" },
	{ 0x14b6a796, "device_add" },
	{ 0x773397c2, "sysfs_remove_link" },
	{ 0xd09b06f5, "kstrtoint" },
	{ 0x6b459570, "xa_load" },
	{ 0x4ec53690, "noop_llseek" },
	{ 0x4a56264b, "device_attach" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0xf95a061b, "kernfs_find_and_get_ns" },
	{ 0x91d72ad5, "debugfs_remove" },
	{ 0x1dd88610, "pci_read_config_word" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x69b21f31, "uuid_null" },
	{ 0x367f179b, "trace_event_reg" },
	{ 0xec228b87, "devm_remove_action_nowarn" },
	{ 0x639d7a37, "ida_free" },
	{ 0xd1d3e811, "driver_unregister" },
	{ 0xaa98f9f4, "pcie_link_speed_mbps" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x173ec8da, "sscanf" },
	{ 0x2bd9a79d, "device_find_child" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xd747452b, "devm_release_action" },
	{ 0x46b1f361, "device_del" },
	{ 0x5373d78a, "kstrtobool" },
	{ 0x4459ab6c, "down_read_interruptible" },
	{ 0x5751a330, "alloc_free_mem_region" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x14761fd9, "insert_resource" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x3f64cc6e, "device_for_each_child_reverse_from" },
	{ 0xfe056791, "uuid_parse" },
	{ 0xec203997, "kasprintf" },
	{ 0x09977ec6, "down_read" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x8521d917, "__xa_insert" },
	{ 0x6b459570, "xa_erase" },
	{ 0x0c9fc644, "bpf_trace_run3" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0x4c721870, "trace_print_flags_seq" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xfe84b435, "zpci_store" },
	{ 0xe5d21aa6, "pci_find_doe_mailbox" },
	{ 0x0bc5fb0d, "unregister_chrdev_region" },
	{ 0xcf44d558, "trace_event_buffer_reserve" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x4459ab6c, "down_write_killable" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0xa76eeaf8, "xa_destroy" },
	{ 0xb6384bcc, "xa_find" },
	{ 0xddf76514, "kernfs_put" },
	{ 0xfcd3dac1, "platform_bus_type" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x2d88a3ab, "cancel_work_sync" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x177ebe6d, "seq_printf" },
	{ 0x5b5fdb30, "xa_store" },
	{ 0x8d80f029, "device_match_name" },
	{ 0xfd285498, "register_mt_adistance_algorithm" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x47886e07, "unregister_memory_notifier" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xcdc33169, "pci_walk_bus" },
	{ 0xb6384bcc, "xa_find_after" },
	{ 0xc6c3e614, "__devm_add_action" },
	{ 0xe931d8ab, "pci_find_dvsec_capability" },
	{ 0x7efd1965, "device_release_driver" },
	{ 0x2044b429, "iomem_resource" },
	{ 0xf1de9e85, "kvfree" },
	{ 0xabce2dd6, "pci_write_config_word" },
	{ 0xcdcb1a6d, "debugfs_create_dir" },
	{ 0xcaa1abb3, "ioremap_prot" },
	{ 0xd8e4b6e9, "pcie_bandwidth_available" },
	{ 0xbadc0077, "__kvmalloc_node_noprof" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x09977ec6, "up_read" },
	{ 0xb8c851a0, "driver_register" },
	{ 0x67b2ba98, "sysfs_emit_at" },
	{ 0x67628f51, "msleep" },
	{ 0x12ca6142, "ktime_get_with_offset" },
	{ 0xea757960, "cdev_init" },
	{ 0x6bbb54b2, "pci_bus_type" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0x52ebbba3, "__request_region" },
	{ 0x44e2b599, "bus_register" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x8b314b43,
	0x21f931bb,
	0x52aa9e12,
	0x0f945e23,
	0x9ca717af,
	0x9f222e1e,
	0xa61fd7aa,
	0xf383f57d,
	0x1010dd51,
	0xdf4bee3d,
	0xb869c64f,
	0x6ef54fb9,
	0x87697d5a,
	0x76ceef55,
	0xbeb1d261,
	0x232a678b,
	0xd2eb7df6,
	0x809f63d8,
	0xe6befa9f,
	0x49733ad6,
	0x66ef3f5d,
	0xb11d82f8,
	0xdd45951a,
	0x71ba9545,
	0x4a69496a,
	0x4dc5a4fc,
	0x46b1f361,
	0xdca68ccb,
	0x627fad53,
	0x22d843bb,
	0xbd03ed67,
	0xf5779d6f,
	0x12ad300e,
	0x46b1f361,
	0xd272d446,
	0xfebf2c5d,
	0x0c80d96e,
	0xc8909373,
	0xfbe7861b,
	0x8e142c2e,
	0xcb8b6ec6,
	0x039915dd,
	0x0feb1e94,
	0xca7142fc,
	0x9a77d310,
	0x1a74af9c,
	0x0735b931,
	0xfd285498,
	0x24db4285,
	0xdd6830c7,
	0xd7ae4c27,
	0x7f51d1b7,
	0x66c08304,
	0x963a990a,
	0x6a3925b6,
	0x269ee7d2,
	0xe8213e80,
	0x5c739a4d,
	0x9d68bfcc,
	0xf1ce4b63,
	0x46b1f361,
	0xdca8870c,
	0xd4e904c2,
	0xa370ec59,
	0xce08e170,
	0x743d3a4b,
	0xfd285498,
	0xfd7c2a2d,
	0x0156fe23,
	0x1cd66019,
	0x09977ec6,
	0x0689357c,
	0x3e0f2371,
	0x09977ec6,
	0xa2fd210b,
	0xbf52cb12,
	0x64d543f2,
	0x14b6a796,
	0x773397c2,
	0xd09b06f5,
	0x6b459570,
	0x4ec53690,
	0x4a56264b,
	0xbeb1d261,
	0x760fcb1a,
	0xf95a061b,
	0x91d72ad5,
	0x1dd88610,
	0xd272d446,
	0x69b21f31,
	0x367f179b,
	0xec228b87,
	0x639d7a37,
	0xd1d3e811,
	0xaa98f9f4,
	0x5201f61b,
	0x173ec8da,
	0x2bd9a79d,
	0xaff69526,
	0x43f152f9,
	0xf521a19a,
	0xd747452b,
	0x46b1f361,
	0x5373d78a,
	0x4459ab6c,
	0x5751a330,
	0x3e0f2371,
	0xbd069841,
	0xd272d446,
	0x14761fd9,
	0xbeb1d261,
	0x3f64cc6e,
	0xfe056791,
	0xec203997,
	0x09977ec6,
	0xd272d446,
	0x8521d917,
	0x6b459570,
	0x0c9fc644,
	0xd272d446,
	0x4c721870,
	0xdd6830c7,
	0xfe84b435,
	0xe5d21aa6,
	0x0bc5fb0d,
	0xcf44d558,
	0x760fcb1a,
	0x4459ab6c,
	0x85acaba2,
	0xa76eeaf8,
	0xb6384bcc,
	0xddf76514,
	0xfcd3dac1,
	0x23f25c0a,
	0xe69ddf93,
	0x2d88a3ab,
	0x546c19d9,
	0x75738bed,
	0x177ebe6d,
	0x5b5fdb30,
	0x8d80f029,
	0xfd285498,
	0xd272d446,
	0x47886e07,
	0xd272d446,
	0xcdc33169,
	0xb6384bcc,
	0xc6c3e614,
	0xe931d8ab,
	0x7efd1965,
	0x2044b429,
	0xf1de9e85,
	0xabce2dd6,
	0xcdcb1a6d,
	0xcaa1abb3,
	0xd8e4b6e9,
	0xbadc0077,
	0x3e1d392f,
	0x09977ec6,
	0xb8c851a0,
	0x67b2ba98,
	0x67628f51,
	0x12ca6142,
	0xea757960,
	0x6bbb54b2,
	0x148250ae,
	0x52ebbba3,
	0x44e2b599,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"firmware_upload_register\0"
	"add_uevent_var\0"
	"ida_alloc_range\0"
	"pcie_capability_read_word\0"
	"mt_perf_to_adistance\0"
	"alloc_chrdev_region\0"
	"__check_object_size\0"
	"device_match_type\0"
	"request_resource\0"
	"alloc_workqueue\0"
	"bpf_trace_run4\0"
	"devm_kmalloc\0"
	"memregion_free\0"
	"__kmalloc_noprof\0"
	"drain_workqueue\0"
	"dev_set_name\0"
	"param_ops_ushort\0"
	"arch_spin_lock_wait\0"
	"snprintf\0"
	"queue_work_on\0"
	"trace_raw_output_prep\0"
	"memregion_alloc\0"
	"sysfs_streq\0"
	"cdev_device_del\0"
	"bpf_trace_run6\0"
	"pci_doe\0"
	"device_unregister\0"
	"__trace_trigger_soft_disabled\0"
	"zpci_load\0"
	"trace_event_printf\0"
	"page_noexec_mask\0"
	"devm_ioremap\0"
	"iounmap\0"
	"device_initialize\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"vmemdup_user\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"kstrtouint\0"
	"kfree\0"
	"device_for_each_child\0"
	"usleep_range_state\0"
	"bpf_trace_run2\0"
	"get_device\0"
	"__dynamic_dev_dbg\0"
	"trace_print_hex_seq\0"
	"register_memory_notifier\0"
	"__release_region\0"
	"sysfs_emit\0"
	"platform_bus\0"
	"dev_driver_string\0"
	"trace_event_buffer_commit\0"
	"pci_read_config_dword\0"
	"__devm_request_region\0"
	"firmware_upload_unregister\0"
	"_printk\0"
	"cdev_device_add\0"
	"___ratelimit\0"
	"walk_iomem_res_desc\0"
	"put_device\0"
	"cdat_table_parse\0"
	"bus_for_each_dev\0"
	"sysfs_create_link\0"
	"remove_resource\0"
	"perf_trace_buf_alloc\0"
	"unregister_mt_adistance_algorithm\0"
	"perf_trace_run_bpf_submit\0"
	"sysfs_update_group\0"
	"bus_unregister\0"
	"down_write\0"
	"devm_kfree\0"
	"_dev_err\0"
	"up_write\0"
	"sort\0"
	"debugfs_create_bool\0"
	"bus_find_device\0"
	"device_add\0"
	"sysfs_remove_link\0"
	"kstrtoint\0"
	"xa_load\0"
	"noop_llseek\0"
	"device_attach\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"kernfs_find_and_get_ns\0"
	"debugfs_remove\0"
	"pci_read_config_word\0"
	"__s390_indirect_jump_r10\0"
	"uuid_null\0"
	"trace_event_reg\0"
	"devm_remove_action_nowarn\0"
	"ida_free\0"
	"driver_unregister\0"
	"pcie_link_speed_mbps\0"
	"__cpu_online_mask\0"
	"sscanf\0"
	"device_find_child\0"
	"__mutex_init\0"
	"mutex_lock_interruptible\0"
	"__fortify_panic\0"
	"devm_release_action\0"
	"device_del\0"
	"kstrtobool\0"
	"down_read_interruptible\0"
	"alloc_free_mem_region\0"
	"_dev_warn\0"
	"kstrtoull\0"
	"__s390_indirect_jump_r14\0"
	"insert_resource\0"
	"__flush_workqueue\0"
	"device_for_each_child_reverse_from\0"
	"uuid_parse\0"
	"kasprintf\0"
	"down_read\0"
	"__s390_indirect_jump_r1\0"
	"__xa_insert\0"
	"xa_erase\0"
	"bpf_trace_run3\0"
	"__s390_indirect_jump_r8\0"
	"trace_print_flags_seq\0"
	"sprintf\0"
	"zpci_store\0"
	"pci_find_doe_mailbox\0"
	"unregister_chrdev_region\0"
	"trace_event_buffer_reserve\0"
	"mutex_unlock\0"
	"down_write_killable\0"
	"cancel_delayed_work_sync\0"
	"xa_destroy\0"
	"xa_find\0"
	"kernfs_put\0"
	"platform_bus_type\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"cancel_work_sync\0"
	"validate_usercopy_range\0"
	"__warn_printk\0"
	"seq_printf\0"
	"xa_store\0"
	"device_match_name\0"
	"register_mt_adistance_algorithm\0"
	"__s390_indirect_jump_r5\0"
	"unregister_memory_notifier\0"
	"__s390_indirect_jump_r11\0"
	"pci_walk_bus\0"
	"xa_find_after\0"
	"__devm_add_action\0"
	"pci_find_dvsec_capability\0"
	"device_release_driver\0"
	"iomem_resource\0"
	"kvfree\0"
	"pci_write_config_word\0"
	"debugfs_create_dir\0"
	"ioremap_prot\0"
	"pcie_bandwidth_available\0"
	"__kvmalloc_node_noprof\0"
	"trace_handle_return\0"
	"up_read\0"
	"driver_register\0"
	"sysfs_emit_at\0"
	"msleep\0"
	"ktime_get_with_offset\0"
	"cdev_init\0"
	"pci_bus_type\0"
	"kmalloc_caches\0"
	"__request_region\0"
	"bus_register\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "695F699416F865E8ADA37A8");
MODULE_INFO(rhelversion, "10.99");
