#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x35938917, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x4d655026, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f71a5f2, "set_disk_ro" },
	{ 0xdd7d8b63, "shrinker_alloc" },
	{ 0xcd1996f8, "vmemmap" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x4c060276, "__bio_add_page" },
	{ 0xecce8201, "blk_start_plug" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0x12fa8381, "radix_tree_insert" },
	{ 0x3708932e, "md_find_rdev_rcu" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x856450e1, "mddev_resume" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x494c552b, "_find_first_bit" },
	{ 0x7e55a544, "radix_tree_lookup" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0xaa53f362, "queue_limits_stack_bdev" },
	{ 0x31ef514d, "md_error" },
	{ 0x049eda2f, "async_xor_val_offs" },
	{ 0x5201f61b, "__cpu_present_mask" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x856450e1, "md_finish_reshape" },
	{ 0xf033210c, "__traceiter_block_bio_remap" },
	{ 0x8ac4fc79, "async_gen_syndrome" },
	{ 0xf62c71e3, "add_wait_queue" },
	{ 0x97e0721d, "md_unregister_thread" },
	{ 0x839361dd, "sync_page_io" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0xe2f59f75, "out_of_line_wait_on_bit" },
	{ 0xfff1c89a, "md_free_cloned_bio" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0xd272d446, "cpus_read_unlock" },
	{ 0x63662cce, "kthread_park" },
	{ 0xc1434f70, "__per_cpu_offset" },
	{ 0x1354bb24, "mempool_free" },
	{ 0xde8f95f8, "node_states" },
	{ 0x05da2c50, "kernfs_notify" },
	{ 0x62d9f029, "register_md_submodule" },
	{ 0xe43ce553, "shrinker_free" },
	{ 0x03b22ef3, "md_wakeup_thread" },
	{ 0x457e69b0, "__cpuhp_state_remove_instance" },
	{ 0xf00d45ac, "kstrtou16" },
	{ 0xe8213e80, "_printk" },
	{ 0xe1421bb2, "md_set_array_sectors" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xd272d446, "schedule" },
	{ 0x856450e1, "md_allow_write" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xe25f2a79, "rdev_clear_badblocks" },
	{ 0x8686c426, "radix_tree_lookup_slot" },
	{ 0xec7756ef, "async_tx_quiesce" },
	{ 0x76ceef55, "__kmalloc_large_noprof" },
	{ 0xdf4992ba, "md_write_start" },
	{ 0x3215c1d7, "llist_reverse_order" },
	{ 0xe43ce553, "shrinker_register" },
	{ 0x7db1fc56, "radix_tree_replace_slot" },
	{ 0x5dc9f52b, "async_xor" },
	{ 0x46a1a9ab, "__free_pages" },
	{ 0xbb38f330, "async_xor_offs" },
	{ 0x29d12a64, "bit_wait" },
	{ 0xecce8201, "blk_finish_plug" },
	{ 0x5ccfed25, "woken_wake_function" },
	{ 0xf0622d66, "submit_bio" },
	{ 0xa370ec59, "sysfs_create_link" },
	{ 0x684812dd, "__bitmap_set" },
	{ 0x1775bf08, "kthread_unpark" },
	{ 0x05ef8e70, "bioset_exit" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0x1d44d79e, "md_done_sync" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x02dbd488, "bio_put" },
	{ 0x3b9fb66f, "radix_tree_delete" },
	{ 0x02dbd488, "bio_endio" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "cpus_read_lock" },
	{ 0x76bc5c90, "md_wait_for_blocked_rdev" },
	{ 0xb30a29e2, "__cpuhp_setup_state" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0x845e844b, "async_memcpy" },
	{ 0xbee09c26, "mddev_update_io_opt" },
	{ 0xf0622d66, "submit_bio_noacct" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x5d8cc500, "mddev_stack_rdev_limits" },
	{ 0xf991b926, "kmem_cache_free" },
	{ 0x4c1e7250, "mempool_free_pages" },
	{ 0x5a4baedb, "strncmp" },
	{ 0x856450e1, "mddev_unlock" },
	{ 0x597dde29, "__tracepoint_block_unplug" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x3e4b9c53, "bio_chain" },
	{ 0x67c214e4, "__blk_trace_note_message" },
	{ 0xa683ac54, "__traceiter_block_unplug" },
	{ 0x1305f5f5, "blkdev_issue_zeroout" },
	{ 0x457e69b0, "__cpuhp_state_add_instance" },
	{ 0xe867c53b, "async_trigger_callback" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xe02fd328, "async_raid6_2data_recov" },
	{ 0xe27bd183, "bio_add_page" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0x08f3410c, "md_update_sb" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x0156fe23, "sysfs_create_group" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0x68a01147, "_atomic_dec_and_lock_irqsave" },
	{ 0x61808c6d, "md_flush_request" },
	{ 0x81c8b549, "bio_init" },
	{ 0x3eea8342, "md_register_thread" },
	{ 0xfa17ec8a, "bio_alloc_clone" },
	{ 0x5a67fcb9, "raid6_call" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xcd9ed149, "blk_check_plugged" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xcd1e9e6a, "kmem_cache_alloc_noprof" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0x813e8cad, "md_account_bio" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0xd8ac5fea, "__kmem_cache_create_args" },
	{ 0x43f152f9, "mutex_trylock" },
	{ 0x690cdb06, "free_percpu" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xdf4992ba, "md_write_inc" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x322234a2, "pcpu_alloc_noprof" },
	{ 0x02dbd488, "bio_uninit" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xd2eb7df6, "param_ops_bool" },
	{ 0x5d91aefc, "bioset_init" },
	{ 0xd272d446, "md_new_event" },
	{ 0x939c5a99, "async_syndrome_val" },
	{ 0xf3a8e62c, "list_sort" },
	{ 0x35dfc811, "__folio_put" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x177ebe6d, "seq_printf" },
	{ 0x856450e1, "md_write_end" },
	{ 0xc01aafd2, "get_random_u32" },
	{ 0x856450e1, "md_check_recovery" },
	{ 0x597dde29, "__tracepoint_block_bio_remap" },
	{ 0x349e8974, "alloc_pages_noprof" },
	{ 0xc302e121, "blkdev_issue_flush" },
	{ 0x13369919, "mddev_suspend" },
	{ 0x2a524ecc, "queue_limits_commit_update" },
	{ 0xce4bb53a, "wait_woken" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xf62c71e3, "remove_wait_queue" },
	{ 0x7bcdb96f, "crc32c_arch" },
	{ 0x5ccfed25, "autoremove_wake_function" },
	{ 0x2780d6b6, "unregister_md_submodule" },
	{ 0x86b6c694, "badblocks_check" },
	{ 0x76e81210, "mempool_init_noprof" },
	{ 0x6ac784f4, "schedule_timeout_uninterruptible" },
	{ 0xe8e0a5a9, "wake_up_bit" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x13bd1246, "md_init_stacking_limits" },
	{ 0x2a524ecc, "queue_limits_set" },
	{ 0x45add838, "rdev_set_badblocks" },
	{ 0xc1adcfbb, "bio_alloc_bioset" },
	{ 0xbadc0077, "__kvmalloc_node_noprof" },
	{ 0xee2bb843, "async_raid6_datap_recov" },
	{ 0x95ab8c52, "submit_bio_wait" },
	{ 0xa45cbe68, "__cpuhp_remove_state" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0x9f5d4931, "mempool_exit" },
	{ 0xba9e1367, "kmem_cache_destroy" },
	{ 0x721a7ee3, "bio_split" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x75251f3a, "mempool_alloc_pages" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0x75a6ff8e, "blkdev_issue_discard" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x5f71a5f2,
	0xdd7d8b63,
	0xcd1996f8,
	0xdc352a3b,
	0x4c060276,
	0xecce8201,
	0xdf4bee3d,
	0x12fa8381,
	0x3708932e,
	0x76ceef55,
	0x856450e1,
	0x809f63d8,
	0xd272d446,
	0xe6befa9f,
	0x49733ad6,
	0x494c552b,
	0x7e55a544,
	0xf62c71e3,
	0xaa53f362,
	0x31ef514d,
	0x049eda2f,
	0x5201f61b,
	0x8e142c2e,
	0xcb8b6ec6,
	0x856450e1,
	0xf033210c,
	0x8ac4fc79,
	0xf62c71e3,
	0x97e0721d,
	0x839361dd,
	0xb6d2241d,
	0xe2f59f75,
	0xfff1c89a,
	0x0433c0cc,
	0xd272d446,
	0x63662cce,
	0xc1434f70,
	0x1354bb24,
	0xde8f95f8,
	0x05da2c50,
	0x62d9f029,
	0xe43ce553,
	0x03b22ef3,
	0x457e69b0,
	0xf00d45ac,
	0xe8213e80,
	0xe1421bb2,
	0x9d68bfcc,
	0xd272d446,
	0x856450e1,
	0xd272d446,
	0xe25f2a79,
	0x8686c426,
	0xec7756ef,
	0x76ceef55,
	0xdf4992ba,
	0x3215c1d7,
	0xe43ce553,
	0x7db1fc56,
	0x5dc9f52b,
	0x46a1a9ab,
	0xbb38f330,
	0x29d12a64,
	0xecce8201,
	0x5ccfed25,
	0xf0622d66,
	0xa370ec59,
	0x684812dd,
	0x1775bf08,
	0x05ef8e70,
	0x7851be11,
	0x44decd6f,
	0x1d44d79e,
	0x5d14723c,
	0x02dbd488,
	0x3b9fb66f,
	0x02dbd488,
	0x7a5ffe84,
	0xd272d446,
	0x76bc5c90,
	0xb30a29e2,
	0x4c1e7250,
	0x845e844b,
	0xbee09c26,
	0xf0622d66,
	0xbeb1d261,
	0x760fcb1a,
	0x5d8cc500,
	0xf991b926,
	0x4c1e7250,
	0x5a4baedb,
	0x856450e1,
	0x597dde29,
	0xd272d446,
	0x3e4b9c53,
	0x67c214e4,
	0xa683ac54,
	0x1305f5f5,
	0x457e69b0,
	0xe867c53b,
	0x4f1e5fd0,
	0xe02fd328,
	0xe27bd183,
	0x86632fd6,
	0x08f3410c,
	0x5201f61b,
	0x0156fe23,
	0xaff69526,
	0x43f152f9,
	0x68a01147,
	0x61808c6d,
	0x81c8b549,
	0x3eea8342,
	0xfa17ec8a,
	0x5a67fcb9,
	0xbd069841,
	0xd272d446,
	0xcd9ed149,
	0xbeb1d261,
	0x75251f3a,
	0xcd1e9e6a,
	0xf296206e,
	0x813e8cad,
	0x9a963e9f,
	0xd8ac5fea,
	0x43f152f9,
	0x690cdb06,
	0x058c185a,
	0xd272d446,
	0xdf4992ba,
	0xd272d446,
	0xdd6830c7,
	0x322234a2,
	0x02dbd488,
	0x760fcb1a,
	0xd2eb7df6,
	0x5d91aefc,
	0xd272d446,
	0x939c5a99,
	0xf3a8e62c,
	0x35dfc811,
	0x23f25c0a,
	0xe69ddf93,
	0x75738bed,
	0x177ebe6d,
	0x856450e1,
	0xc01aafd2,
	0x856450e1,
	0x597dde29,
	0x349e8974,
	0xc302e121,
	0x13369919,
	0x2a524ecc,
	0xce4bb53a,
	0xd272d446,
	0xf62c71e3,
	0x7bcdb96f,
	0x5ccfed25,
	0x2780d6b6,
	0x86b6c694,
	0x76e81210,
	0x6ac784f4,
	0xe8e0a5a9,
	0xf1de9e85,
	0x13bd1246,
	0x2a524ecc,
	0x45add838,
	0xc1adcfbb,
	0xbadc0077,
	0xee2bb843,
	0x95ab8c52,
	0xa45cbe68,
	0x148250ae,
	0x9f5d4931,
	0xba9e1367,
	0x721a7ee3,
	0xaef1f20d,
	0x75251f3a,
	0x2d88a3ab,
	0x75a6ff8e,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"set_disk_ro\0"
	"shrinker_alloc\0"
	"vmemmap\0"
	"__list_add_valid_or_report\0"
	"__bio_add_page\0"
	"blk_start_plug\0"
	"alloc_workqueue\0"
	"radix_tree_insert\0"
	"md_find_rdev_rcu\0"
	"__kmalloc_noprof\0"
	"mddev_resume\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"queue_work_on\0"
	"_find_first_bit\0"
	"radix_tree_lookup\0"
	"finish_wait\0"
	"queue_limits_stack_bdev\0"
	"md_error\0"
	"async_xor_val_offs\0"
	"__cpu_present_mask\0"
	"kstrtouint\0"
	"kfree\0"
	"md_finish_reshape\0"
	"__traceiter_block_bio_remap\0"
	"async_gen_syndrome\0"
	"add_wait_queue\0"
	"md_unregister_thread\0"
	"sync_page_io\0"
	"prepare_to_wait_event\0"
	"out_of_line_wait_on_bit\0"
	"md_free_cloned_bio\0"
	"__wake_up\0"
	"cpus_read_unlock\0"
	"kthread_park\0"
	"__per_cpu_offset\0"
	"mempool_free\0"
	"node_states\0"
	"kernfs_notify\0"
	"register_md_submodule\0"
	"shrinker_free\0"
	"md_wakeup_thread\0"
	"__cpuhp_state_remove_instance\0"
	"kstrtou16\0"
	"_printk\0"
	"md_set_array_sectors\0"
	"___ratelimit\0"
	"schedule\0"
	"md_allow_write\0"
	"__s390_indirect_jump_r4\0"
	"rdev_clear_badblocks\0"
	"radix_tree_lookup_slot\0"
	"async_tx_quiesce\0"
	"__kmalloc_large_noprof\0"
	"md_write_start\0"
	"llist_reverse_order\0"
	"shrinker_register\0"
	"radix_tree_replace_slot\0"
	"async_xor\0"
	"__free_pages\0"
	"async_xor_offs\0"
	"bit_wait\0"
	"blk_finish_plug\0"
	"woken_wake_function\0"
	"submit_bio\0"
	"sysfs_create_link\0"
	"__bitmap_set\0"
	"kthread_unpark\0"
	"bioset_exit\0"
	"__cond_resched\0"
	"hugetlb_optimize_vmemmap_key\0"
	"md_done_sync\0"
	"mempool_alloc_noprof\0"
	"bio_put\0"
	"radix_tree_delete\0"
	"bio_endio\0"
	"init_wait_entry\0"
	"cpus_read_lock\0"
	"md_wait_for_blocked_rdev\0"
	"__cpuhp_setup_state\0"
	"mempool_free_slab\0"
	"async_memcpy\0"
	"mddev_update_io_opt\0"
	"submit_bio_noacct\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"mddev_stack_rdev_limits\0"
	"kmem_cache_free\0"
	"mempool_free_pages\0"
	"strncmp\0"
	"mddev_unlock\0"
	"__tracepoint_block_unplug\0"
	"__s390_indirect_jump_r10\0"
	"bio_chain\0"
	"__blk_trace_note_message\0"
	"__traceiter_block_unplug\0"
	"blkdev_issue_zeroout\0"
	"__cpuhp_state_add_instance\0"
	"async_trigger_callback\0"
	"__list_del_entry_valid_or_report\0"
	"async_raid6_2data_recov\0"
	"bio_add_page\0"
	"_find_next_bit\0"
	"md_update_sb\0"
	"__cpu_online_mask\0"
	"sysfs_create_group\0"
	"__mutex_init\0"
	"mutex_lock_interruptible\0"
	"_atomic_dec_and_lock_irqsave\0"
	"md_flush_request\0"
	"bio_init\0"
	"md_register_thread\0"
	"bio_alloc_clone\0"
	"raid6_call\0"
	"kstrtoull\0"
	"__s390_indirect_jump_r14\0"
	"blk_check_plugged\0"
	"__flush_workqueue\0"
	"mempool_alloc_slab\0"
	"kmem_cache_alloc_noprof\0"
	"nr_cpu_ids\0"
	"md_account_bio\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"mutex_trylock\0"
	"free_percpu\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"md_write_inc\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"pcpu_alloc_noprof\0"
	"bio_uninit\0"
	"mutex_unlock\0"
	"param_ops_bool\0"
	"bioset_init\0"
	"md_new_event\0"
	"async_syndrome_val\0"
	"list_sort\0"
	"__folio_put\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"seq_printf\0"
	"md_write_end\0"
	"get_random_u32\0"
	"md_check_recovery\0"
	"__tracepoint_block_bio_remap\0"
	"alloc_pages_noprof\0"
	"blkdev_issue_flush\0"
	"mddev_suspend\0"
	"queue_limits_commit_update\0"
	"wait_woken\0"
	"__s390_indirect_jump_r5\0"
	"remove_wait_queue\0"
	"crc32c_arch\0"
	"autoremove_wake_function\0"
	"unregister_md_submodule\0"
	"badblocks_check\0"
	"mempool_init_noprof\0"
	"schedule_timeout_uninterruptible\0"
	"wake_up_bit\0"
	"kvfree\0"
	"md_init_stacking_limits\0"
	"queue_limits_set\0"
	"rdev_set_badblocks\0"
	"bio_alloc_bioset\0"
	"__kvmalloc_node_noprof\0"
	"async_raid6_datap_recov\0"
	"submit_bio_wait\0"
	"__cpuhp_remove_state\0"
	"kmalloc_caches\0"
	"mempool_exit\0"
	"kmem_cache_destroy\0"
	"bio_split\0"
	"system_wq\0"
	"mempool_alloc_pages\0"
	"flush_work\0"
	"blkdev_issue_discard\0"
	"module_layout\0"
;

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "5BCE6DA4BE2979707834F33");
MODULE_INFO(rhelversion, "10.99");
