#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x5c560d00, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x712ff067, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x7a265c80, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xc4376d57, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x872725aa, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x1854a658, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbf0e5c5b, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xc29dbb26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36f4e18c, "nvme_remove_admin_tag_set" },
	{ 0x36f4e18c, "nvme_sync_io_queues" },
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0xcd1996f8, "vmemmap" },
	{ 0x36f4e18c, "nvme_uninit_ctrl" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xe8c61750, "ida_destroy" },
	{ 0xfb811091, "nvme_complete_rq" },
	{ 0x2182515b, "__num_online_cpus" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x8ff86be9, "complete" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x45d582e7, "nvmf_free_options" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0x1a3ae95a, "nvmf_subsystem_reset" },
	{ 0xb4413d82, "blk_mq_tagset_wait_completed_request" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x36f4e18c, "nvme_stop_keep_alive" },
	{ 0xc5efbdfc, "blk_mq_complete_request_remote" },
	{ 0x1195443e, "dma_unmap_page_attrs" },
	{ 0x57f73614, "nvme_setup_cmd" },
	{ 0x36f4e18c, "nvme_start_ctrl" },
	{ 0x034a1c75, "nvme_alloc_admin_tag_set" },
	{ 0xaa7df464, "nvmf_connect_io_queue" },
	{ 0x08a18f61, "match_u64" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xe758f079, "sg_free_table_chained" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0xaef1f20d, "nvme_wq" },
	{ 0x76d6b1a3, "nvmf_reg_read32" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0xfec56a92, "nvme_delete_ctrl" },
	{ 0x9a77d310, "get_device" },
	{ 0x7f51d1b7, "dev_driver_string" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0xc4a4bf4a, "nvmf_get_address" },
	{ 0x429ef428, "dma_map_page_attrs" },
	{ 0x85acaba2, "flush_delayed_work" },
	{ 0xe8213e80, "_printk" },
	{ 0xd272d446, "schedule" },
	{ 0x36f4e18c, "nvme_remove_io_tag_set" },
	{ 0xfb811091, "nvme_cleanup_cmd" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0x3e08e418, "nvme_mpath_start_request" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x556d0294, "nvmf_unregister_transport" },
	{ 0x75f0f4ca, "blkcg_get_fc_appid" },
	{ 0x46b1f361, "put_device" },
	{ 0x0746002e, "strnlen" },
	{ 0x2fd426be, "nvme_change_ctrl_state" },
	{ 0x3e0f2371, "_dev_info" },
	{ 0x689bc392, "nvme_init_ctrl" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xaef1f20d, "nvme_delete_wq" },
	{ 0x44361f76, "nvme_alloc_io_tag_set" },
	{ 0x518566c7, "nvme_fail_nonready_command" },
	{ 0xccfa4660, "kobject_uevent_env" },
	{ 0xd03323d8, "__dma_sync_single_for_cpu" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0x3e0f2371, "_dev_err" },
	{ 0xf07565db, "device_create" },
	{ 0xe376876a, "blk_sync_queue" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0xacabb6fc, "blkcg_set_fc_appid" },
	{ 0xfdf865f1, "__blk_rq_map_sg" },
	{ 0x639d7a37, "ida_free" },
	{ 0x0c5a43e2, "nvmf_reg_read64" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x1d1b3613, "class_unregister" },
	{ 0xaef1f20d, "nvme_reset_wq" },
	{ 0x1a3ae95a, "nvmf_connect_admin_queue" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xfec56a92, "nvme_enable_ctrl" },
	{ 0x36f4e18c, "nvme_unquiesce_admin_queue" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x36f4e18c, "nvme_unquiesce_io_queues" },
	{ 0x6426e384, "blk_mq_update_nr_hw_queues" },
	{ 0xa7fbb594, "nvmf_reg_write32" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x2a793b93, "nvmf_should_reconnect" },
	{ 0xd03323d8, "__dma_sync_single_for_device" },
	{ 0x75fb6c38, "nvme_complete_async_event" },
	{ 0xa76f728f, "device_destroy" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x85612a71, "nvme_set_queue_count" },
	{ 0x2d88a3ab, "cancel_work_sync" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x5f377ed0, "blk_mq_map_queues" },
	{ 0x79bb9460, "nvmf_register_transport" },
	{ 0x364b1b03, "blk_mq_start_request" },
	{ 0x36f4e18c, "nvme_quiesce_io_queues" },
	{ 0x382f5ac8, "blk_mq_tagset_busy_iter" },
	{ 0x36f4e18c, "nvme_stop_ctrl" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x3575b8e2, "dma_unmap_sg_attrs" },
	{ 0xa6a68fdd, "nvme_init_ctrl_finish" },
	{ 0x296b9459, "strchr" },
	{ 0xfec56a92, "nvme_reset_ctrl" },
	{ 0x38ea0628, "sg_alloc_table_chained" },
	{ 0x36f4e18c, "nvme_quiesce_admin_queue" },
	{ 0x4e159878, "class_register" },
	{ 0xa1b9eb92, "__nvme_check_ready" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0x91418d45, "dma_map_sg_attrs" },
	{ 0xaef1f20d, "system_wq" },
	{ 0xfec56a92, "nvme_add_ctrl" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x36f4e18c,
	0x36f4e18c,
	0xc45d298e,
	0x52aa9e12,
	0xcd1996f8,
	0x36f4e18c,
	0xdc352a3b,
	0xe8c61750,
	0xfb811091,
	0x2182515b,
	0x76ceef55,
	0x809f63d8,
	0xe6befa9f,
	0x8ff86be9,
	0x49733ad6,
	0x45d582e7,
	0xd272d446,
	0x1a3ae95a,
	0xb4413d82,
	0x23109dc0,
	0xf62c71e3,
	0x36f4e18c,
	0xc5efbdfc,
	0x1195443e,
	0x57f73614,
	0x36f4e18c,
	0x034a1c75,
	0xaa7df464,
	0x08a18f61,
	0xfbe7861b,
	0xcb8b6ec6,
	0xe758f079,
	0xb6d2241d,
	0xaef1f20d,
	0x76d6b1a3,
	0x0433c0cc,
	0xfec56a92,
	0x9a77d310,
	0x7f51d1b7,
	0xb7a59f82,
	0xc4a4bf4a,
	0x429ef428,
	0x85acaba2,
	0xe8213e80,
	0xd272d446,
	0x36f4e18c,
	0xfb811091,
	0x2520ea93,
	0x3e08e418,
	0xd272d446,
	0x8ce83585,
	0x556d0294,
	0x75f0f4ca,
	0x46b1f361,
	0x0746002e,
	0x2fd426be,
	0x3e0f2371,
	0x689bc392,
	0x999a5f5f,
	0xaef1f20d,
	0x44361f76,
	0x518566c7,
	0xccfa4660,
	0xd03323d8,
	0x7a5ffe84,
	0x3e0f2371,
	0xf07565db,
	0xe376876a,
	0x5a4baedb,
	0xd272d446,
	0xacabb6fc,
	0xfdf865f1,
	0x639d7a37,
	0x0c5a43e2,
	0x4f1e5fd0,
	0x1d1b3613,
	0xaef1f20d,
	0x1a3ae95a,
	0xf521a19a,
	0xfec56a92,
	0x36f4e18c,
	0x3e0f2371,
	0xbd069841,
	0xd272d446,
	0x8ff86be9,
	0xbeb1d261,
	0x9a963e9f,
	0x058c185a,
	0xd272d446,
	0x36f4e18c,
	0x6426e384,
	0xa7fbb594,
	0x85acaba2,
	0x2a793b93,
	0xd03323d8,
	0x75fb6c38,
	0xa76f728f,
	0xe69ddf93,
	0x85612a71,
	0x2d88a3ab,
	0x75738bed,
	0x71798f7e,
	0x5f377ed0,
	0x79bb9460,
	0x364b1b03,
	0x36f4e18c,
	0x382f5ac8,
	0x36f4e18c,
	0xd272d446,
	0x02f9bbf0,
	0xd272d446,
	0x3575b8e2,
	0xa6a68fdd,
	0x296b9459,
	0xfec56a92,
	0x38ea0628,
	0x36f4e18c,
	0x4e159878,
	0xa1b9eb92,
	0x148250ae,
	0x91418d45,
	0xaef1f20d,
	0xfec56a92,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"nvme_remove_admin_tag_set\0"
	"nvme_sync_io_queues\0"
	"is_vmalloc_addr\0"
	"ida_alloc_range\0"
	"vmemmap\0"
	"nvme_uninit_ctrl\0"
	"__list_add_valid_or_report\0"
	"ida_destroy\0"
	"nvme_complete_rq\0"
	"__num_online_cpus\0"
	"__kmalloc_noprof\0"
	"arch_spin_lock_wait\0"
	"snprintf\0"
	"complete\0"
	"queue_work_on\0"
	"nvmf_free_options\0"
	"__s390_indirect_jump_r13\0"
	"nvmf_subsystem_reset\0"
	"blk_mq_tagset_wait_completed_request\0"
	"__init_swait_queue_head\0"
	"finish_wait\0"
	"nvme_stop_keep_alive\0"
	"blk_mq_complete_request_remote\0"
	"dma_unmap_page_attrs\0"
	"nvme_setup_cmd\0"
	"nvme_start_ctrl\0"
	"nvme_alloc_admin_tag_set\0"
	"nvmf_connect_io_queue\0"
	"match_u64\0"
	"memcpy\0"
	"kfree\0"
	"sg_free_table_chained\0"
	"prepare_to_wait_event\0"
	"nvme_wq\0"
	"nvmf_reg_read32\0"
	"__wake_up\0"
	"nvme_delete_ctrl\0"
	"get_device\0"
	"dev_driver_string\0"
	"vm_layout\0"
	"nvmf_get_address\0"
	"dma_map_page_attrs\0"
	"flush_delayed_work\0"
	"_printk\0"
	"schedule\0"
	"nvme_remove_io_tag_set\0"
	"nvme_cleanup_cmd\0"
	"refcount_warn_saturate\0"
	"nvme_mpath_start_request\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"nvmf_unregister_transport\0"
	"blkcg_get_fc_appid\0"
	"put_device\0"
	"strnlen\0"
	"nvme_change_ctrl_state\0"
	"_dev_info\0"
	"nvme_init_ctrl\0"
	"sized_strscpy\0"
	"nvme_delete_wq\0"
	"nvme_alloc_io_tag_set\0"
	"nvme_fail_nonready_command\0"
	"kobject_uevent_env\0"
	"__dma_sync_single_for_cpu\0"
	"init_wait_entry\0"
	"_dev_err\0"
	"device_create\0"
	"blk_sync_queue\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"blkcg_set_fc_appid\0"
	"__blk_rq_map_sg\0"
	"ida_free\0"
	"nvmf_reg_read64\0"
	"__list_del_entry_valid_or_report\0"
	"class_unregister\0"
	"nvme_reset_wq\0"
	"nvmf_connect_admin_queue\0"
	"__fortify_panic\0"
	"nvme_enable_ctrl\0"
	"nvme_unquiesce_admin_queue\0"
	"_dev_warn\0"
	"kstrtoull\0"
	"__s390_indirect_jump_r14\0"
	"wait_for_completion\0"
	"__flush_workqueue\0"
	"__init_waitqueue_head\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"nvme_unquiesce_io_queues\0"
	"blk_mq_update_nr_hw_queues\0"
	"nvmf_reg_write32\0"
	"cancel_delayed_work_sync\0"
	"nvmf_should_reconnect\0"
	"__dma_sync_single_for_device\0"
	"nvme_complete_async_event\0"
	"device_destroy\0"
	"__kmalloc_cache_noprof\0"
	"nvme_set_queue_count\0"
	"cancel_work_sync\0"
	"__warn_printk\0"
	"delayed_work_timer_fn\0"
	"blk_mq_map_queues\0"
	"nvmf_register_transport\0"
	"blk_mq_start_request\0"
	"nvme_quiesce_io_queues\0"
	"blk_mq_tagset_busy_iter\0"
	"nvme_stop_ctrl\0"
	"__s390_indirect_jump_r5\0"
	"timer_init_key\0"
	"__s390_indirect_jump_r11\0"
	"dma_unmap_sg_attrs\0"
	"nvme_init_ctrl_finish\0"
	"strchr\0"
	"nvme_reset_ctrl\0"
	"sg_alloc_table_chained\0"
	"nvme_quiesce_admin_queue\0"
	"class_register\0"
	"__nvme_check_ready\0"
	"kmalloc_caches\0"
	"dma_map_sg_attrs\0"
	"system_wq\0"
	"nvme_add_ctrl\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "67B548EBBBB48E79C250773");
MODULE_INFO(rhelversion, "10.99");
