#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0x401d619c, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0x0871fc9d, "");
SYMBOL_CRC(dasd_alloc_block, 0x746d7f2c, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x4bc25562, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0x30ed53bd, "");
SYMBOL_CRC(dasd_reload_device, 0x30ed53bd, "");
SYMBOL_CRC(dasd_enable_device, 0x30ed53bd, "");
SYMBOL_CRC(dasd_smalloc_request, 0xc0bd716b, "");
SYMBOL_CRC(dasd_fmalloc_request, 0x29794fb9, "");
SYMBOL_CRC(dasd_sfree_request, 0xf399801c, "");
SYMBOL_CRC(dasd_ffree_request, 0xf399801c, "");
SYMBOL_CRC(dasd_term_IO, 0x8493aa66, "");
SYMBOL_CRC(dasd_start_IO, 0x8493aa66, "");
SYMBOL_CRC(dasd_device_set_timer, 0x26a59dcf, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x30ed53bd, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x30ed53bd, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0xe102de5e, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0x71ab2f20, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xea69e8e8, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0x30ed53bd, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0x85e09dab, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x85e09dab, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0xe266fa4b, "");
SYMBOL_CRC(dasd_add_request_tail, 0xe266fa4b, "");
SYMBOL_CRC(dasd_wakeup_cb, 0x4b4cbf2b, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0x8493aa66, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0x5190d1f9, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0x5190d1f9, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x8493aa66, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0x8493aa66, "");
SYMBOL_CRC(dasd_block_set_timer, 0x29f320cc, "");
SYMBOL_CRC(dasd_block_clear_timer, 0x4bc25562, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0x4bc25562, "");
SYMBOL_CRC(dasd_device_is_ro, 0xea69e8e8, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0x6228865c, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0x30ed53bd, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0xc90ea959, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0x667add7b, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0x6228865c, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0xea69e8e8, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0xea69e8e8, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0xab447e3c, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x7e486658, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0x1304aadb, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0xeb4bb0d5, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0x30ed53bd, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0xea69e8e8, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0x30ed53bd, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x0e6e2f68, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x97b4546e, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0xc90ea959, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0xb9684fef, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xcf915583, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x7ec472ba, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0x7ec472ba, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0x90b2b43a, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0xac318792, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x17f887b9, "");
SYMBOL_CRC(dasd_dev_groups, 0xe30fd67b, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0xc408d62e, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x4c809ea5, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0xac318792, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0xac318792, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0x0fe44865, "");
SYMBOL_CRC(dasd_default_erp_action, 0x922c9e7e, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0x922c9e7e, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0x8b0b3e1b, "");
SYMBOL_CRC(dasd_free_erp_request, 0x074e3cde, "");
SYMBOL_CRC(dasd_log_sense, 0x0fe44865, "");
SYMBOL_CRC(dasd_eer_write, 0x561d4564, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f71a5f2, "set_disk_ro" },
	{ 0xe74d56fa, "try_module_get" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0x8a53eb48, "misc_deregister" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xd2eb7df6, "param_ops_uint" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0xa77605a2, "proc_create" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xc69f8518, "device_add_disk" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xdd45951a, "sysfs_streq" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x3c3ff0e1, "diag210" },
	{ 0x48ad34a3, "kobject_init" },
	{ 0x3629ead7, "skip_spaces" },
	{ 0x11052758, "debug_set_level" },
	{ 0xd2eb7df6, "param_array_ops" },
	{ 0x3f6a6dcd, "debug_register" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xb72894ce, "ccw_device_start" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xf92d0790, "kset_unregister" },
	{ 0xe0eddf3a, "seq_lseek" },
	{ 0x2352b148, "timer_delete" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x533ab6c0, "disk_uevent" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x02e1dca7, "free_pages" },
	{ 0x9a77d310, "get_device" },
	{ 0x1bbe7162, "blk_mq_end_request" },
	{ 0x8ad543a5, "__blk_mq_alloc_disk" },
	{ 0x1a74af9c, "__dynamic_dev_dbg" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0x81eff202, "blk_mq_alloc_tag_set" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0x91531bbe, "async_schedule_node" },
	{ 0xe8213e80, "_printk" },
	{ 0xe576a569, "ipl_info" },
	{ 0xa9ff99fc, "put_disk" },
	{ 0xd272d446, "schedule" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x46b1f361, "put_device" },
	{ 0xf64ac983, "__copy_overflow" },
	{ 0x0c083b74, "ccw_device_tm_start" },
	{ 0x0746002e, "strnlen" },
	{ 0xee5d005b, "ccw_device_get_schid" },
	{ 0x3e0f2371, "_dev_info" },
	{ 0x0c161ddc, "capable" },
	{ 0x1e562ce8, "module_put" },
	{ 0x48fd0ca0, "get_zeroed_page_noprof" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x14980e8a, "unregister_blkdev" },
	{ 0x22119a00, "_ascebc" },
	{ 0xdece8f0c, "disable_cmf" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xa6015317, "fput" },
	{ 0x3e0f2371, "_dev_err" },
	{ 0xf56bec62, "kobject_add" },
	{ 0xfe53d239, "blk_update_request" },
	{ 0x767521d1, "ccw_device_get_id" },
	{ 0xf8934302, "memchr_inv" },
	{ 0xc039f1f8, "kobj_sysfs_ops" },
	{ 0xb1a802aa, "set_capacity" },
	{ 0x32feeafc, "mod_timer" },
	{ 0xcdec1689, "tasklet_init" },
	{ 0x4ec53690, "noop_llseek" },
	{ 0xd7a59a65, "vmalloc_noprof" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x91d72ad5, "debugfs_remove" },
	{ 0x5a4baedb, "strncmp" },
	{ 0x4a514aa7, "cmf_readall" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0xe9f6298a, "seq_putc" },
	{ 0x1476aa69, "bdev_mark_dead" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xdc6b214a, "blk_mq_free_tag_set" },
	{ 0x680628e7, "ktime_get_real_ts64" },
	{ 0xa9ff99fc, "del_gendisk" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x4cbc3b8c, "__debug_sprintf_event" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0x2f785e01, "bdev_file_open_by_dev" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x9bfde9a1, "errno_to_blk_status" },
	{ 0x9b4b48a0, "_ctype" },
	{ 0x5373d78a, "kstrtobool" },
	{ 0xf30f9802, "proc_mkdir" },
	{ 0x72218bfa, "ccw_device_set_offline" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x6ab621cb, "misc_register" },
	{ 0x059c2708, "ccw_device_clear" },
	{ 0xd2eb7df6, "param_ops_charp" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0xd8ac5fea, "__kmem_cache_create_args" },
	{ 0x2039ba23, "bdev_disk_changed" },
	{ 0x058c185a, "jiffies" },
	{ 0x2637a9f3, "nonseekable_open" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xce4af33b, "kstrdup" },
	{ 0xe3693f51, "debug_unregister" },
	{ 0xc106ff77, "seq_read" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x364b1b03, "blk_mq_complete_request" },
	{ 0xf1de9e85, "vfree" },
	{ 0xa5c7582d, "strsep" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xad7df6e1, "__register_blkdev" },
	{ 0xaddb04e3, "seq_write" },
	{ 0x6f8702a6, "remove_proc_entry" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x177ebe6d, "seq_printf" },
	{ 0x72218bfa, "ccw_device_set_online" },
	{ 0xdece8f0c, "enable_cmf" },
	{ 0x4d1c8640, "kobject_uevent" },
	{ 0x9e3012ba, "debugfs_create_file_full" },
	{ 0x9c0551c6, "__tasklet_hi_schedule" },
	{ 0x364b1b03, "blk_mq_start_request" },
	{ 0x8007126f, "ccw_device_get_path_mask" },
	{ 0x2a524ecc, "queue_limits_commit_update" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x99705750, "single_release" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0x62b2706f, "tcw_get_tsb" },
	{ 0xa96bdc91, "file_bdev" },
	{ 0xb43281f9, "css_general_characteristics" },
	{ 0x001a94f3, "blk_abort_request" },
	{ 0x8083340d, "debug_sprintf_view" },
	{ 0xd2eb7df6, "param_ops_int" },
	{ 0x2d148047, "blk_mq_run_hw_queues" },
	{ 0x519811df, "proc_create_seq_private" },
	{ 0x66dd4378, "single_open" },
	{ 0x296b9459, "strchr" },
	{ 0xcdcb1a6d, "debugfs_create_dir" },
	{ 0x6bded543, "get_free_pages_noprof" },
	{ 0x07ad51b4, "debug_register_view" },
	{ 0x56452b20, "blk_mq_requeue_request" },
	{ 0x67b2ba98, "sysfs_emit_at" },
	{ 0xa58ff310, "blk_queue_rq_timeout" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0xba9e1367, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0xeb463a2d, "kset_create_and_add" },
	{ 0x347ef5a7, "kobject_put" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x5f71a5f2,
	0xe74d56fa,
	0xa61fd7aa,
	0x8a53eb48,
	0xdc352a3b,
	0xd2eb7df6,
	0x76ceef55,
	0xa77605a2,
	0x809f63d8,
	0xd272d446,
	0xc69f8518,
	0xe6befa9f,
	0x49733ad6,
	0xd272d446,
	0xdd45951a,
	0xf62c71e3,
	0x3c3ff0e1,
	0x48ad34a3,
	0x3629ead7,
	0x11052758,
	0xd2eb7df6,
	0x3f6a6dcd,
	0xd272d446,
	0xfbe7861b,
	0xb72894ce,
	0x8e142c2e,
	0xcb8b6ec6,
	0xf92d0790,
	0xe0eddf3a,
	0x2352b148,
	0xb6d2241d,
	0x533ab6c0,
	0x0433c0cc,
	0x02e1dca7,
	0x9a77d310,
	0x1bbe7162,
	0x8ad543a5,
	0x1a74af9c,
	0xdd6830c7,
	0x81eff202,
	0xb7a59f82,
	0x91531bbe,
	0xe8213e80,
	0xe576a569,
	0xa9ff99fc,
	0xd272d446,
	0xd272d446,
	0x46b1f361,
	0xf64ac983,
	0x0c083b74,
	0x0746002e,
	0xee5d005b,
	0x3e0f2371,
	0x0c161ddc,
	0x1e562ce8,
	0x48fd0ca0,
	0x999a5f5f,
	0xd272d446,
	0x14980e8a,
	0x22119a00,
	0xdece8f0c,
	0x7a5ffe84,
	0xd272d446,
	0xa6015317,
	0x3e0f2371,
	0xf56bec62,
	0xfe53d239,
	0x767521d1,
	0xf8934302,
	0xc039f1f8,
	0xb1a802aa,
	0x32feeafc,
	0xcdec1689,
	0x4ec53690,
	0xd7a59a65,
	0x760fcb1a,
	0x91d72ad5,
	0x5a4baedb,
	0x4a514aa7,
	0xd272d446,
	0xe9f6298a,
	0x1476aa69,
	0x4f1e5fd0,
	0xdc6b214a,
	0x680628e7,
	0xa9ff99fc,
	0xfcc2e8f3,
	0x4cbc3b8c,
	0xaff69526,
	0x43f152f9,
	0x2f785e01,
	0xf521a19a,
	0x9bfde9a1,
	0x9b4b48a0,
	0x5373d78a,
	0xf30f9802,
	0x72218bfa,
	0x3e0f2371,
	0xbd069841,
	0xd272d446,
	0x6ab621cb,
	0x059c2708,
	0xd2eb7df6,
	0x9a963e9f,
	0xd8ac5fea,
	0x2039ba23,
	0x058c185a,
	0x2637a9f3,
	0xd272d446,
	0xce4af33b,
	0xe3693f51,
	0xc106ff77,
	0xd272d446,
	0xdd6830c7,
	0x364b1b03,
	0xf1de9e85,
	0xa5c7582d,
	0x760fcb1a,
	0xad7df6e1,
	0xaddb04e3,
	0x6f8702a6,
	0xe69ddf93,
	0x546c19d9,
	0x177ebe6d,
	0x72218bfa,
	0xdece8f0c,
	0x4d1c8640,
	0x9e3012ba,
	0x9c0551c6,
	0x364b1b03,
	0x8007126f,
	0x2a524ecc,
	0xd272d446,
	0x99705750,
	0x02f9bbf0,
	0x62b2706f,
	0xa96bdc91,
	0xb43281f9,
	0x001a94f3,
	0x8083340d,
	0xd2eb7df6,
	0x2d148047,
	0x519811df,
	0x66dd4378,
	0x296b9459,
	0xcdcb1a6d,
	0x6bded543,
	0x07ad51b4,
	0x56452b20,
	0x67b2ba98,
	0xa58ff310,
	0x148250ae,
	0x37c0b5f3,
	0xba9e1367,
	0xaef1f20d,
	0xeb463a2d,
	0x347ef5a7,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"set_disk_ro\0"
	"try_module_get\0"
	"__check_object_size\0"
	"misc_deregister\0"
	"__list_add_valid_or_report\0"
	"param_ops_uint\0"
	"__kmalloc_noprof\0"
	"proc_create\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"device_add_disk\0"
	"snprintf\0"
	"queue_work_on\0"
	"__s390_indirect_jump_r13\0"
	"sysfs_streq\0"
	"finish_wait\0"
	"diag210\0"
	"kobject_init\0"
	"skip_spaces\0"
	"debug_set_level\0"
	"param_array_ops\0"
	"debug_register\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"ccw_device_start\0"
	"kstrtouint\0"
	"kfree\0"
	"kset_unregister\0"
	"seq_lseek\0"
	"timer_delete\0"
	"prepare_to_wait_event\0"
	"disk_uevent\0"
	"__wake_up\0"
	"free_pages\0"
	"get_device\0"
	"blk_mq_end_request\0"
	"__blk_mq_alloc_disk\0"
	"__dynamic_dev_dbg\0"
	"sysfs_emit\0"
	"blk_mq_alloc_tag_set\0"
	"vm_layout\0"
	"async_schedule_node\0"
	"_printk\0"
	"ipl_info\0"
	"put_disk\0"
	"schedule\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"__copy_overflow\0"
	"ccw_device_tm_start\0"
	"strnlen\0"
	"ccw_device_get_schid\0"
	"_dev_info\0"
	"capable\0"
	"module_put\0"
	"get_zeroed_page_noprof\0"
	"sized_strscpy\0"
	"__s390_indirect_jump_r6\0"
	"unregister_blkdev\0"
	"_ascebc\0"
	"disable_cmf\0"
	"init_wait_entry\0"
	"__s390_indirect_jump_r9\0"
	"fput\0"
	"_dev_err\0"
	"kobject_add\0"
	"blk_update_request\0"
	"ccw_device_get_id\0"
	"memchr_inv\0"
	"kobj_sysfs_ops\0"
	"set_capacity\0"
	"mod_timer\0"
	"tasklet_init\0"
	"noop_llseek\0"
	"vmalloc_noprof\0"
	"mutex_lock\0"
	"debugfs_remove\0"
	"strncmp\0"
	"cmf_readall\0"
	"__s390_indirect_jump_r10\0"
	"seq_putc\0"
	"bdev_mark_dead\0"
	"__list_del_entry_valid_or_report\0"
	"blk_mq_free_tag_set\0"
	"ktime_get_real_ts64\0"
	"del_gendisk\0"
	"__local_bh_enable_ip\0"
	"__debug_sprintf_event\0"
	"__mutex_init\0"
	"mutex_lock_interruptible\0"
	"bdev_file_open_by_dev\0"
	"__fortify_panic\0"
	"errno_to_blk_status\0"
	"_ctype\0"
	"kstrtobool\0"
	"proc_mkdir\0"
	"ccw_device_set_offline\0"
	"_dev_warn\0"
	"kstrtoull\0"
	"__s390_indirect_jump_r14\0"
	"misc_register\0"
	"ccw_device_clear\0"
	"param_ops_charp\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"bdev_disk_changed\0"
	"jiffies\0"
	"nonseekable_open\0"
	"__s390_indirect_jump_r1\0"
	"kstrdup\0"
	"debug_unregister\0"
	"seq_read\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"blk_mq_complete_request\0"
	"vfree\0"
	"strsep\0"
	"mutex_unlock\0"
	"__register_blkdev\0"
	"seq_write\0"
	"remove_proc_entry\0"
	"__kmalloc_cache_noprof\0"
	"validate_usercopy_range\0"
	"seq_printf\0"
	"ccw_device_set_online\0"
	"enable_cmf\0"
	"kobject_uevent\0"
	"debugfs_create_file_full\0"
	"__tasklet_hi_schedule\0"
	"blk_mq_start_request\0"
	"ccw_device_get_path_mask\0"
	"queue_limits_commit_update\0"
	"__s390_indirect_jump_r5\0"
	"single_release\0"
	"timer_init_key\0"
	"tcw_get_tsb\0"
	"file_bdev\0"
	"css_general_characteristics\0"
	"blk_abort_request\0"
	"debug_sprintf_view\0"
	"param_ops_int\0"
	"blk_mq_run_hw_queues\0"
	"proc_create_seq_private\0"
	"single_open\0"
	"strchr\0"
	"debugfs_create_dir\0"
	"get_free_pages_noprof\0"
	"debug_register_view\0"
	"blk_mq_requeue_request\0"
	"sysfs_emit_at\0"
	"blk_queue_rq_timeout\0"
	"kmalloc_caches\0"
	"__request_module\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"kset_create_and_add\0"
	"kobject_put\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DEDBEE2795594A0F34D754");
MODULE_INFO(rhelversion, "10.99");
