#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x2ece48ad, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x963a1854, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x01353e0a, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xe0980229, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xa1b05988, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x082cd644, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x41e2006c, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xa8777e44, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x1f39e5df, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x6692ba77, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x6692ba77, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x9702c372, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x2df76449, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x6f9c49b7, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x1aad0c4c, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x8d6cbd93, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x92785651, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x7bfb4158, "iscsi_dbg_trace" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x8ddb9bbc, "_dev_printk" },
	{ 0x597dde29, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x5175144b, "__traceiter_iscsi_dbg_tcp" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0xcd1996f8, "vmemmap" },
	{ 0x7bcdb96f, "crc32c_arch" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x058c185a, "jiffies" },
	{ 0x40e6a4b4, "skb_prepare_seq_read" },
	{ 0x1c3ec5f0, "skb_seq_read" },
	{ 0x1c4ee564, "skb_abort_seq_read" },
	{ 0x8d8e18b6, "iscsi_conn_failure" },
	{ 0x2dc966b1, "iscsi_conn_setup" },
	{ 0x390fc86c, "iscsi_conn_teardown" },
	{ 0xc7e289d2, "__kfifo_alloc" },
	{ 0x9f37d055, "iscsi_pool_init" },
	{ 0x283bce08, "__kfifo_free" },
	{ 0xdd9b4646, "iscsi_pool_free" },
	{ 0x173ec8da, "sscanf" },
	{ 0x7aecf489, "iscsi_prep_data_out_pdu" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x562e3aaa, "__kfifo_in" },
	{ 0xd1ea1c88, "__kfifo_out" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xe14b7613, "iscsi_put_task" },
	{ 0x8d6a362d, "iscsi_itt_to_ctask" },
	{ 0x91ab9410, "iscsi_get_task" },
	{ 0xb5b90f94, "iscsi_update_cmdsn" },
	{ 0xe14b7613, "iscsi_requeue_task" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x200dc3be, "iscsi_complete_pdu" },
	{ 0x4322b7ef, "iscsi_verify_itt" },
	{ 0x200dc3be, "__iscsi_complete_pdu" },
	{ 0xd2eb7df6, "param_ops_int" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0x7bfb4158,
	0xd272d446,
	0x8ddb9bbc,
	0x597dde29,
	0x5201f61b,
	0x5175144b,
	0x44decd6f,
	0xcd1996f8,
	0x7bcdb96f,
	0xfbe7861b,
	0x058c185a,
	0x40e6a4b4,
	0x1c3ec5f0,
	0x1c4ee564,
	0x8d8e18b6,
	0x2dc966b1,
	0x390fc86c,
	0xc7e289d2,
	0x9f37d055,
	0x283bce08,
	0xdd9b4646,
	0x173ec8da,
	0x7aecf489,
	0xd272d446,
	0xd272d446,
	0xfcc2e8f3,
	0x562e3aaa,
	0xd1ea1c88,
	0x809f63d8,
	0xe14b7613,
	0x8d6a362d,
	0x91ab9410,
	0xb5b90f94,
	0xe14b7613,
	0x8cb0d1eb,
	0x200dc3be,
	0x4322b7ef,
	0x200dc3be,
	0xd2eb7df6,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r14\0"
	"iscsi_dbg_trace\0"
	"__s390_indirect_jump_r1\0"
	"_dev_printk\0"
	"__tracepoint_iscsi_dbg_tcp\0"
	"__cpu_online_mask\0"
	"__traceiter_iscsi_dbg_tcp\0"
	"hugetlb_optimize_vmemmap_key\0"
	"vmemmap\0"
	"crc32c_arch\0"
	"memcpy\0"
	"jiffies\0"
	"skb_prepare_seq_read\0"
	"skb_seq_read\0"
	"skb_abort_seq_read\0"
	"iscsi_conn_failure\0"
	"iscsi_conn_setup\0"
	"iscsi_conn_teardown\0"
	"__kfifo_alloc\0"
	"iscsi_pool_init\0"
	"__kfifo_free\0"
	"iscsi_pool_free\0"
	"sscanf\0"
	"iscsi_prep_data_out_pdu\0"
	"__s390_indirect_jump_r10\0"
	"__s390_indirect_jump_r4\0"
	"__local_bh_enable_ip\0"
	"__kfifo_in\0"
	"__kfifo_out\0"
	"arch_spin_lock_wait\0"
	"iscsi_put_task\0"
	"iscsi_itt_to_ctask\0"
	"iscsi_get_task\0"
	"iscsi_update_cmdsn\0"
	"iscsi_requeue_task\0"
	"memcmp\0"
	"iscsi_complete_pdu\0"
	"iscsi_verify_itt\0"
	"__iscsi_complete_pdu\0"
	"param_ops_int\0"
	"module_layout\0"
;

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "F324C706772B0E9CCFFA2A0");
MODULE_INFO(rhelversion, "10.99");
