#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xfb5324bc, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x6ec51284, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x9d435869, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x6ec51284, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x690988f1, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x7829ee46, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x61011951, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x6e444fce, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xbd71bd67, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x066ea879, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x38ed866f, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x7625adf2, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xe057e5ea, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x9d435869, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xfb5324bc, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x6ec51284, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x071f9321, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xa4b7b217, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xd7d5a96b, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0xcc950864, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x43105624, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x1892172c, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x98236e95, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0xe57208ba, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x38bd1095, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x75e136ac, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xdfc842f1, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x19631583, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xaf2acde8, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x89c5b839, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x61927232, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabf4c3da, "pci_save_state" },
	{ 0x9dd4105e, "free_irq" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0x1010dd51, "request_resource" },
	{ 0xf6628f7c, "vmf_insert_pfn" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x22419f2d, "pci_read_vpd" },
	{ 0xbbfc23a0, "bus_unregister_notifier" },
	{ 0xe799883f, "pci_request_selected_regions" },
	{ 0xe579b00f, "pci_release_selected_regions" },
	{ 0xefc00055, "pci_user_write_config_byte" },
	{ 0xabf4c3da, "pci_enable_device" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x281c9f55, "pci_bus_max_busnr" },
	{ 0x28b5acf6, "pci_check_and_mask_intx" },
	{ 0xd5cf17a6, "pci_iomap" },
	{ 0x88507c33, "vfio_info_cap_shift" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xe0418251, "eventfd_ctx_put" },
	{ 0x410c2e71, "pci_alloc_irq_vectors" },
	{ 0x8490f861, "vfio_set_irqs_validate_and_prepare" },
	{ 0x16772f5d, "pci_enable_atomic_ops_to_root" },
	{ 0x0c80d96e, "memdup_user" },
	{ 0xf8081a5b, "pci_dev_put" },
	{ 0xe3a328c8, "iommu_group_get" },
	{ 0x627fad53, "zpci_load" },
	{ 0x4957bd79, "vfio_virqfd_disable" },
	{ 0x90fdf5c4, "vfio_iommufd_get_dev_id" },
	{ 0xbd03ed67, "page_noexec_mask" },
	{ 0x1b6a4f05, "fget" },
	{ 0x12ad300e, "iounmap" },
	{ 0xc6c44bc8, "pci_num_vf" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x43bc659a, "unmap_mapping_range" },
	{ 0x84764139, "pci_user_read_config_dword" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x0f945e23, "pci_user_read_config_word" },
	{ 0x8e3336dd, "enable_irq" },
	{ 0x1465d2f7, "pci_probe_reset_bus" },
	{ 0xb61df16d, "pci_probe_reset_slot" },
	{ 0xfab06656, "pci_set_power_state" },
	{ 0xe7935584, "pci_irq_vector" },
	{ 0x906e1698, "pci_write_msi_msg" },
	{ 0x33e06797, "iommu_group_put" },
	{ 0x1a74af9c, "__dynamic_dev_dbg" },
	{ 0x4459ab6c, "down_read_trylock" },
	{ 0x963a990a, "pci_read_config_dword" },
	{ 0x5947bf17, "pci_domain_nr" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0x4daecc4e, "pci_intx" },
	{ 0x852a6722, "pci_user_write_config_word" },
	{ 0x4f502f06, "vfio_iommufd_device_ictx" },
	{ 0xbbfc23a0, "bus_register_notifier" },
	{ 0x3e0f2371, "_dev_info" },
	{ 0x0d0caadc, "vfio_file_is_group" },
	{ 0x6a103caa, "pci_msix_can_alloc_dyn" },
	{ 0xa54e56b6, "vfio_file_has_dev" },
	{ 0x8e3336dd, "synchronize_irq" },
	{ 0x2e1b5e0e, "pci_clear_master" },
	{ 0xabf4c3da, "__pci_reset_function_locked" },
	{ 0x8a504080, "zpci_kvm_hook" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x95969e47, "iommu_group_id" },
	{ 0xb6771ae3, "uuid_gen" },
	{ 0xa6015317, "fput" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0x9126ce86, "request_threaded_irq" },
	{ 0x6b459570, "xa_load" },
	{ 0x6398f0fd, "irq_bypass_register_producer" },
	{ 0xd852bc25, "pci_write_vpd" },
	{ 0x257a0122, "vfio_virqfd_enable" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x1dd88610, "pci_read_config_word" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xc9439fcf, "vfio_unregister_group_dev" },
	{ 0xaff14acf, "pci_map_rom" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x3c0300ea, "eventfd_ctx_fdget" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x24b5c09b, "pci_store_saved_state" },
	{ 0x906e1698, "get_cached_msi_msg" },
	{ 0x7b7de081, "pci_iounmap" },
	{ 0x2e1b5e0e, "pci_restore_state" },
	{ 0x3e0f2371, "_dev_warn" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xabf4c3da, "pcie_get_mps" },
	{ 0xabf4c3da, "pci_dev_trylock" },
	{ 0xfe056791, "uuid_parse" },
	{ 0xec203997, "kasprintf" },
	{ 0x4459ab6c, "down_write_trylock" },
	{ 0x09977ec6, "down_read" },
	{ 0xa646ba17, "vfio_info_add_capability" },
	{ 0xc677527b, "pci_dev_driver" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x8521d917, "__xa_insert" },
	{ 0x6b459570, "xa_erase" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0x3c6c4bee, "vfio_find_device_in_devset" },
	{ 0x9857042b, "irq_bypass_unregister_producer" },
	{ 0x3e0f2371, "_dev_notice" },
	{ 0xfe84b435, "zpci_store" },
	{ 0xaa98f9f4, "pci_reset_bus" },
	{ 0x361e54f2, "vfio_register_group_dev" },
	{ 0xd792be67, "vfio_assign_device_set" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x2b100eae, "pci_user_read_config_byte" },
	{ 0xabf4c3da, "pci_try_reset_function" },
	{ 0xb6384bcc, "xa_find" },
	{ 0x74a44fe7, "pci_get_class" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x06cae40e, "pci_user_write_config_dword" },
	{ 0x84764139, "pcie_capability_read_dword" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x76aa8ee4, "pci_load_and_free_saved_state" },
	{ 0x1b73b84e, "pci_disable_sriov" },
	{ 0x0850e5ab, "vfio_device_set_open_count" },
	{ 0x2e1b5e0e, "pci_disable_device" },
	{ 0xe5dc4921, "pci_match_id" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x28b5acf6, "pci_check_and_unmask_intx" },
	{ 0x56a2ee1b, "pcie_set_readrq" },
	{ 0xcdc33169, "pci_walk_bus" },
	{ 0xc21bfa0a, "pci_msix_alloc_irq_at" },
	{ 0xb6384bcc, "xa_find_after" },
	{ 0x8e3336dd, "disable_irq_nosync" },
	{ 0xe765b4cf, "pci_unmap_rom" },
	{ 0xd0216df7, "pci_read_config_byte" },
	{ 0xce08e170, "release_resource" },
	{ 0x8f7d1249, "__vma_start_write" },
	{ 0x2e1b5e0e, "pci_dev_unlock" },
	{ 0xabce2dd6, "pci_write_config_word" },
	{ 0xcaa1abb3, "ioremap_prot" },
	{ 0x18ded256, "eventfd_signal_mask" },
	{ 0x9dd0a38f, "pci_free_irq_vectors" },
	{ 0x0cabc823, "pci_enable_sriov" },
	{ 0x09977ec6, "up_read" },
	{ 0x4957bd79, "vfio_virqfd_flush_thread" },
	{ 0x6bbb54b2, "pci_bus_type" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0xe76315be, "krealloc_noprof" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xabf4c3da,
	0x9dd4105e,
	0xa61fd7aa,
	0x1010dd51,
	0xf6628f7c,
	0x19517bac,
	0xdc352a3b,
	0x22419f2d,
	0xbbfc23a0,
	0xe799883f,
	0xe579b00f,
	0xefc00055,
	0xabf4c3da,
	0x76ceef55,
	0x281c9f55,
	0x28b5acf6,
	0xd5cf17a6,
	0x88507c33,
	0x809f63d8,
	0xe0418251,
	0x410c2e71,
	0x8490f861,
	0x16772f5d,
	0x0c80d96e,
	0xf8081a5b,
	0xe3a328c8,
	0x627fad53,
	0x4957bd79,
	0x90fdf5c4,
	0xbd03ed67,
	0x1b6a4f05,
	0x12ad300e,
	0xc6c44bc8,
	0xfbe7861b,
	0x43bc659a,
	0x84764139,
	0xcb8b6ec6,
	0x0f945e23,
	0x8e3336dd,
	0x1465d2f7,
	0xb61df16d,
	0xfab06656,
	0xe7935584,
	0x906e1698,
	0x33e06797,
	0x1a74af9c,
	0x4459ab6c,
	0x963a990a,
	0x5947bf17,
	0x9d68bfcc,
	0x4daecc4e,
	0x852a6722,
	0x4f502f06,
	0xbbfc23a0,
	0x3e0f2371,
	0x0d0caadc,
	0x6a103caa,
	0xa54e56b6,
	0x8e3336dd,
	0x2e1b5e0e,
	0xabf4c3da,
	0x8a504080,
	0xd272d446,
	0x95969e47,
	0xb6771ae3,
	0xa6015317,
	0x09977ec6,
	0x09977ec6,
	0x9126ce86,
	0x6b459570,
	0x6398f0fd,
	0xd852bc25,
	0x257a0122,
	0x760fcb1a,
	0x1dd88610,
	0x5a4baedb,
	0xc9439fcf,
	0xaff14acf,
	0x4f1e5fd0,
	0x3c0300ea,
	0xaff69526,
	0xf521a19a,
	0x24b5c09b,
	0x906e1698,
	0x7b7de081,
	0x2e1b5e0e,
	0x3e0f2371,
	0xd272d446,
	0xabf4c3da,
	0xabf4c3da,
	0xfe056791,
	0xec203997,
	0x4459ab6c,
	0x09977ec6,
	0xa646ba17,
	0xc677527b,
	0xd272d446,
	0x8521d917,
	0x6b459570,
	0xd272d446,
	0x3c6c4bee,
	0x9857042b,
	0x3e0f2371,
	0xfe84b435,
	0xaa98f9f4,
	0x361e54f2,
	0xd792be67,
	0x760fcb1a,
	0x2b100eae,
	0xabf4c3da,
	0xb6384bcc,
	0x74a44fe7,
	0xe69ddf93,
	0x06cae40e,
	0x84764139,
	0x546c19d9,
	0x76aa8ee4,
	0x1b73b84e,
	0x0850e5ab,
	0x2e1b5e0e,
	0xe5dc4921,
	0xd272d446,
	0x28b5acf6,
	0x56a2ee1b,
	0xcdc33169,
	0xc21bfa0a,
	0xb6384bcc,
	0x8e3336dd,
	0xe765b4cf,
	0xd0216df7,
	0xce08e170,
	0x8f7d1249,
	0x2e1b5e0e,
	0xabce2dd6,
	0xcaa1abb3,
	0x18ded256,
	0x9dd0a38f,
	0x0cabc823,
	0x09977ec6,
	0x4957bd79,
	0x6bbb54b2,
	0x148250ae,
	0xe76315be,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"pci_save_state\0"
	"free_irq\0"
	"__check_object_size\0"
	"request_resource\0"
	"vmf_insert_pfn\0"
	"__init_rwsem\0"
	"__list_add_valid_or_report\0"
	"pci_read_vpd\0"
	"bus_unregister_notifier\0"
	"pci_request_selected_regions\0"
	"pci_release_selected_regions\0"
	"pci_user_write_config_byte\0"
	"pci_enable_device\0"
	"__kmalloc_noprof\0"
	"pci_bus_max_busnr\0"
	"pci_check_and_mask_intx\0"
	"pci_iomap\0"
	"vfio_info_cap_shift\0"
	"arch_spin_lock_wait\0"
	"eventfd_ctx_put\0"
	"pci_alloc_irq_vectors\0"
	"vfio_set_irqs_validate_and_prepare\0"
	"pci_enable_atomic_ops_to_root\0"
	"memdup_user\0"
	"pci_dev_put\0"
	"iommu_group_get\0"
	"zpci_load\0"
	"vfio_virqfd_disable\0"
	"vfio_iommufd_get_dev_id\0"
	"page_noexec_mask\0"
	"fget\0"
	"iounmap\0"
	"pci_num_vf\0"
	"memcpy\0"
	"unmap_mapping_range\0"
	"pci_user_read_config_dword\0"
	"kfree\0"
	"pci_user_read_config_word\0"
	"enable_irq\0"
	"pci_probe_reset_bus\0"
	"pci_probe_reset_slot\0"
	"pci_set_power_state\0"
	"pci_irq_vector\0"
	"pci_write_msi_msg\0"
	"iommu_group_put\0"
	"__dynamic_dev_dbg\0"
	"down_read_trylock\0"
	"pci_read_config_dword\0"
	"pci_domain_nr\0"
	"___ratelimit\0"
	"pci_intx\0"
	"pci_user_write_config_word\0"
	"vfio_iommufd_device_ictx\0"
	"bus_register_notifier\0"
	"_dev_info\0"
	"vfio_file_is_group\0"
	"pci_msix_can_alloc_dyn\0"
	"vfio_file_has_dev\0"
	"synchronize_irq\0"
	"pci_clear_master\0"
	"__pci_reset_function_locked\0"
	"zpci_kvm_hook\0"
	"__s390_indirect_jump_r9\0"
	"iommu_group_id\0"
	"uuid_gen\0"
	"fput\0"
	"down_write\0"
	"up_write\0"
	"request_threaded_irq\0"
	"xa_load\0"
	"irq_bypass_register_producer\0"
	"pci_write_vpd\0"
	"vfio_virqfd_enable\0"
	"mutex_lock\0"
	"pci_read_config_word\0"
	"strncmp\0"
	"vfio_unregister_group_dev\0"
	"pci_map_rom\0"
	"__list_del_entry_valid_or_report\0"
	"eventfd_ctx_fdget\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"pci_store_saved_state\0"
	"get_cached_msi_msg\0"
	"pci_iounmap\0"
	"pci_restore_state\0"
	"_dev_warn\0"
	"__s390_indirect_jump_r14\0"
	"pcie_get_mps\0"
	"pci_dev_trylock\0"
	"uuid_parse\0"
	"kasprintf\0"
	"down_write_trylock\0"
	"down_read\0"
	"vfio_info_add_capability\0"
	"pci_dev_driver\0"
	"__s390_indirect_jump_r1\0"
	"__xa_insert\0"
	"xa_erase\0"
	"__s390_indirect_jump_r8\0"
	"vfio_find_device_in_devset\0"
	"irq_bypass_unregister_producer\0"
	"_dev_notice\0"
	"zpci_store\0"
	"pci_reset_bus\0"
	"vfio_register_group_dev\0"
	"vfio_assign_device_set\0"
	"mutex_unlock\0"
	"pci_user_read_config_byte\0"
	"pci_try_reset_function\0"
	"xa_find\0"
	"pci_get_class\0"
	"__kmalloc_cache_noprof\0"
	"pci_user_write_config_dword\0"
	"pcie_capability_read_dword\0"
	"validate_usercopy_range\0"
	"pci_load_and_free_saved_state\0"
	"pci_disable_sriov\0"
	"vfio_device_set_open_count\0"
	"pci_disable_device\0"
	"pci_match_id\0"
	"__s390_indirect_jump_r5\0"
	"pci_check_and_unmask_intx\0"
	"pcie_set_readrq\0"
	"pci_walk_bus\0"
	"pci_msix_alloc_irq_at\0"
	"xa_find_after\0"
	"disable_irq_nosync\0"
	"pci_unmap_rom\0"
	"pci_read_config_byte\0"
	"release_resource\0"
	"__vma_start_write\0"
	"pci_dev_unlock\0"
	"pci_write_config_word\0"
	"ioremap_prot\0"
	"eventfd_signal_mask\0"
	"pci_free_irq_vectors\0"
	"pci_enable_sriov\0"
	"up_read\0"
	"vfio_virqfd_flush_thread\0"
	"pci_bus_type\0"
	"kmalloc_caches\0"
	"krealloc_noprof\0"
	"module_layout\0"
;

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "DA29A8B5D7C71A93B13B640");
MODULE_INFO(rhelversion, "10.99");
