#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0x553451ab, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xb676bae3, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x0e9ecfa8, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x7445bf61, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xd4716049, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0xff804f90, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xdf638c11, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x49da2cf1, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x43628529, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x585d3ceb, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x07319975, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x2b2288ac, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x6b13a79d, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x9ea1c6e2, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x87d03193, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x4a82770c, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x9ea1c6e2, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x81fcfdcf, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x0c360d38, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xf857be5c, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x912764a3, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x007eac3b, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xd943d89c, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x87d91fc3, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x4a82770c, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x4a82770c, "");
SYMBOL_CRC(fuse_do_ioctl, 0x0c8f0812, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6c361ff, "super_setup_bdi_name" },
	{ 0xec25189c, "posix_test_lock" },
	{ 0x83914a71, "truncate_inode_pages" },
	{ 0xaed37abc, "noop_backing_dev_info" },
	{ 0x63c2579e, "pipe_lock" },
	{ 0xe15d7df1, "generic_fillattr" },
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0x7f60547e, "vfs_fsync_range" },
	{ 0xfb483a64, "setattr_prepare" },
	{ 0x541e499c, "filemap_migrate_folio" },
	{ 0x2838f1d0, "clear_nlink" },
	{ 0x3a119093, "file_check_and_advance_wb_err" },
	{ 0x677f9d4a, "d_alloc_parallel" },
	{ 0xcd1996f8, "vmemmap" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0x3fd01393, "d_instantiate" },
	{ 0x473b78d7, "page_put_link" },
	{ 0x8a53eb48, "misc_deregister" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xec66c991, "make_vfsgid" },
	{ 0x2838f1d0, "clear_inode" },
	{ 0x5cbbcbb8, "inode_to_bdi" },
	{ 0x1875b10d, "find_pid_ns" },
	{ 0x50d1b68c, "idr_find" },
	{ 0x86c49e96, "invalid_mnt_idmap" },
	{ 0x78f4787a, "simple_dir_inode_operations" },
	{ 0x63c2579e, "pipe_unlock" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x2c379ca2, "unpin_folio" },
	{ 0x7d2b7b36, "fs_param_is_string" },
	{ 0xc24fbd64, "folio_unlock" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x2f33b74e, "new_inode" },
	{ 0xdbfc1df0, "filemap_map_pages" },
	{ 0x8ff86be9, "complete" },
	{ 0xe795e339, "dump_page" },
	{ 0x66ef3f5d, "trace_raw_output_prep" },
	{ 0x63251886, "forget_all_cached_acls" },
	{ 0xc5331279, "init_special_inode" },
	{ 0x1b3ae3e1, "unregister_filesystem" },
	{ 0x942f7aed, "task_active_pid_ns" },
	{ 0x4721e33b, "iov_iter_single_seg_count" },
	{ 0xe95ea461, "retire_super" },
	{ 0x5490c000, "rb_next" },
	{ 0xdca68ccb, "__trace_trigger_soft_disabled" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x0cd02f8e, "d_alloc_name" },
	{ 0x08811108, "replace_page_cache_folio" },
	{ 0xea85175f, "inode_query_iversion" },
	{ 0x36366489, "iov_iter_advance" },
	{ 0x31f8d33d, "kill_fasync" },
	{ 0x76487bda, "d_make_root" },
	{ 0x22d843bb, "trace_event_printf" },
	{ 0x1354d0d6, "backing_file_splice_write" },
	{ 0xd81d6ba8, "sb_set_blocksize" },
	{ 0x1b6a4f05, "fget" },
	{ 0x62686b7c, "simple_fill_super" },
	{ 0x86625630, "sync_filesystem" },
	{ 0xdcd0237d, "sget_fc" },
	{ 0x6de21ccf, "param_set_uint" },
	{ 0x347af6e7, "d_splice_alias" },
	{ 0x01bb7e92, "iov_iter_get_pages2" },
	{ 0x0212f5a8, "direct_write_fallback" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfebf2c5d, "trace_event_raw_init" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xd69da396, "from_vfsuid" },
	{ 0x4d01a2ad, "generic_permission" },
	{ 0x0b9ea51f, "truncate_pagecache_range" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x37dc14ca, "invalidate_inode_pages2_range" },
	{ 0x19eb96cc, "posix_lock_file" },
	{ 0x140096f1, "finish_open" },
	{ 0x2838f1d0, "iput" },
	{ 0x58e21dfa, "filemap_range_has_writeback" },
	{ 0xca5cb4b9, "kiocb_modified" },
	{ 0xd2c7d4a1, "get_next_ino" },
	{ 0x07bb97fc, "logfc" },
	{ 0x8ec6f8d5, "iter_file_splice_write" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0xee1651d5, "folio_mark_dirty_lock" },
	{ 0x6610428d, "init_pid_ns" },
	{ 0xfb461919, "iov_iter_init" },
	{ 0xe5c1c780, "d_lookup" },
	{ 0x3b2fb79e, "fileattr_fill_flags" },
	{ 0xbff535e7, "sysfs_create_mount_point" },
	{ 0x6f6a3862, "generic_file_write_iter" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x02e1dca7, "free_pages" },
	{ 0x1b3ae3e1, "register_filesystem" },
	{ 0x35dfc811, "folio_add_lru" },
	{ 0xee1651d5, "folio_clear_dirty_for_io" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0xe025dbef, "sync_inode_metadata" },
	{ 0x49896cf1, "simple_empty" },
	{ 0x7fdebef3, "copy_folio_from_iter_atomic" },
	{ 0xd98d9687, "vfs_setpos" },
	{ 0xf7897df0, "full_name_hash" },
	{ 0x5b96adef, "shrink_dcache_parent" },
	{ 0x2ea8209f, "make_vfsuid" },
	{ 0xd4a3976d, "__put_cred" },
	{ 0x13d7103d, "backing_file_open" },
	{ 0x1aab4ce5, "get_tree_nodev" },
	{ 0x4a81e1b6, "splice_file_range" },
	{ 0x66c08304, "trace_event_buffer_commit" },
	{ 0x6b105c8f, "filemap_fdatawrite_range_kick" },
	{ 0xa915e52c, "simple_inode_init_ts" },
	{ 0xef3fca2c, "locks_lock_inode_wait" },
	{ 0x7851be11, "current_umask" },
	{ 0x7d2b7b36, "fs_param_is_u32" },
	{ 0x72fa03d5, "inode_newsize_ok" },
	{ 0x9a48eae4, "d_drop" },
	{ 0xe95ea461, "kill_block_super" },
	{ 0x2838f1d0, "unlock_new_inode" },
	{ 0xe8213e80, "_printk" },
	{ 0x22ef6673, "bdi_put" },
	{ 0x6ea2d190, "posix_acl_from_xattr" },
	{ 0xd272d446, "schedule" },
	{ 0xb91c6b29, "param_get_uint" },
	{ 0x789502a7, "sysctl_vals" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x93ff54f6, "unregister_sysctl_table" },
	{ 0xea0bdb03, "make_kuid" },
	{ 0x5981748f, "truncate_inode_pages_final" },
	{ 0x6a34b0fc, "fs_kobj" },
	{ 0xcfc476fa, "__filemap_set_wb_err" },
	{ 0x7447e552, "simple_dir_operations" },
	{ 0x0682920f, "generic_file_mmap" },
	{ 0x0746002e, "strnlen" },
	{ 0x0681bae5, "backing_file_mmap" },
	{ 0x2653e5c1, "__filemap_get_folio" },
	{ 0xee1651d5, "folio_mark_dirty" },
	{ 0x1c104af9, "put_pid_ns" },
	{ 0xeed3d079, "kstrtoul_from_user" },
	{ 0x2d2a847d, "setattr_should_drop_suidgid" },
	{ 0x97324298, "security_release_secctx" },
	{ 0x0c161ddc, "capable" },
	{ 0x1bb62ab0, "iov_iter_extract_pages" },
	{ 0x9fb51356, "backing_file_write_iter" },
	{ 0x7d2b7b36, "fs_param_is_gid" },
	{ 0xdeee5a21, "fs_context_for_submount" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x2838f1d0, "inode_init_once" },
	{ 0xace6ef13, "file_write_and_wait_range" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0xd12680af, "idr_remove" },
	{ 0x15e22641, "nosteal_pipe_buf_ops" },
	{ 0x619e8f0b, "ilookup5" },
	{ 0x05ffde19, "prepare_creds" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0x2838f1d0, "inode_nohighmem" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0x44aab90d, "release_pages" },
	{ 0x29115c7e, "page_get_link_raw" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xfd7c2a2d, "perf_trace_run_bpf_submit" },
	{ 0x6f6a3862, "generic_file_direct_write" },
	{ 0xa6015317, "fput" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0x786894d4, "generic_file_read_iter" },
	{ 0x9e92417c, "inode_maybe_inc_iversion" },
	{ 0x4df08a50, "unlock_page" },
	{ 0x18a0f037, "thp_get_unmapped_area" },
	{ 0xdbb02967, "memchr" },
	{ 0xbb7ac8aa, "truncate_pagecache" },
	{ 0xf270d857, "put_fs_context" },
	{ 0x6b459570, "xa_load" },
	{ 0xb9026ae4, "fileattr_fill_xflags" },
	{ 0x6d67fac4, "backing_file_splice_read" },
	{ 0x7b611b34, "idr_preload" },
	{ 0x3632fead, "write_cache_pages" },
	{ 0x3382f9e9, "file_update_time" },
	{ 0x70eae9c6, "set_nlink" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x837974f2, "kmem_cache_alloc_lru_noprof" },
	{ 0xf991b926, "kmem_cache_free" },
	{ 0x1b6a4f05, "fget_raw" },
	{ 0x185c5217, "vfsgid_in_group_p" },
	{ 0x90536def, "from_kgid" },
	{ 0x70fb8de7, "fasync_helper" },
	{ 0x367f179b, "trace_event_reg" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0x6c4966d3, "proc_douintvec_minmax" },
	{ 0x90fef8d9, "folio_wait_writeback" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xb0c87ed9, "from_vfsgid" },
	{ 0x8b2c24b0, "write_inode_now" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x39cd8b5c, "d_obtain_alias" },
	{ 0x3382f9e9, "file_modified" },
	{ 0x36e2c382, "copy_page_to_iter" },
	{ 0xf654f750, "_totalram_pages" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x52a60803, "folio_end_read" },
	{ 0xcfcee046, "finish_no_open" },
	{ 0x0efb674c, "idr_alloc_cyclic" },
	{ 0x655af28e, "__folio_start_writeback" },
	{ 0x7db71818, "bpf_trace_run1" },
	{ 0x57a2a7c2, "idr_destroy" },
	{ 0xe95ea461, "kill_litter_super" },
	{ 0xc24fbd64, "folio_end_writeback" },
	{ 0xb3763856, "folio_alloc_noprof" },
	{ 0x0710e755, "from_kuid" },
	{ 0x85acaba2, "cancel_delayed_work" },
	{ 0x10aa5452, "current_in_userns" },
	{ 0xdab1b4b7, "fc_mount" },
	{ 0xb3916437, "register_sysctl_sz" },
	{ 0x9f486f7e, "sysfs_remove_mount_point" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x6ab621cb, "misc_register" },
	{ 0xddc4cee0, "timespec64_to_jiffies" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0xcd1e9e6a, "kmem_cache_alloc_noprof" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x3fc31fda, "in_group_or_capable" },
	{ 0xdfa243fe, "make_kgid" },
	{ 0x50629d65, "rb_first" },
	{ 0x9a48eae4, "d_delete" },
	{ 0xd8ac5fea, "__kmem_cache_create_args" },
	{ 0x90536def, "from_kgid_munged" },
	{ 0xbd94342e, "kobject_create_and_add" },
	{ 0x09977ec6, "down_read" },
	{ 0x8f524df5, "wb_writeout_inc" },
	{ 0x058c185a, "jiffies" },
	{ 0x2637a9f3, "nonseekable_open" },
	{ 0x36e2c382, "copy_page_from_iter" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xce4af33b, "kstrdup" },
	{ 0x9fb51356, "backing_file_read_iter" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xcdbedf58, "idr_for_each" },
	{ 0xb9fcd065, "call_rcu" },
	{ 0xa9d85a24, "fdget" },
	{ 0xbed2d78b, "igrab" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0x818e7aba, "generic_read_dir" },
	{ 0xcf44d558, "trace_event_buffer_reserve" },
	{ 0x3fd01393, "d_add" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x977e325f, "percpu_counter_add_batch" },
	{ 0xd2eb7df6, "param_ops_bool" },
	{ 0x6dd49e9f, "init_user_ns" },
	{ 0x39cd8b5c, "d_find_alias" },
	{ 0xb881d753, "invalidate_inode_pages2" },
	{ 0x5d4b0d4b, "inode_set_ctime_current" },
	{ 0x2838f1d0, "inc_nlink" },
	{ 0xaddb04e3, "seq_write" },
	{ 0x35dfc811, "__folio_put" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x1aab4ce5, "get_tree_bdev" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x1c7c2c77, "set_anon_super_fc" },
	{ 0x177ebe6d, "seq_printf" },
	{ 0x9a48eae4, "dput" },
	{ 0xdf78e6f2, "lockref_get" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0xe56102e3, "generic_delete_inode" },
	{ 0x43baf2f5, "deactivate_locked_super" },
	{ 0x29cddae9, "touch_atime" },
	{ 0x9a48eae4, "__d_lookup_unhash_wake" },
	{ 0x0a33b572, "set_page_dirty_lock" },
	{ 0xa7ddb7b4, "pid_nr_ns" },
	{ 0x2637a9f3, "generic_file_open" },
	{ 0x807adc4a, "truncate_inode_pages_range" },
	{ 0x6f2fdd1d, "__put_user_ns" },
	{ 0x349e8974, "alloc_pages_noprof" },
	{ 0xc24fbd64, "__folio_lock" },
	{ 0x92593fce, "filemap_dirty_folio" },
	{ 0xa1d7977b, "pagecache_get_page" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x2637a9f3, "stream_open" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0xe6a2a545, "errseq_set" },
	{ 0xe8743501, "__wake_up_sync" },
	{ 0x04adbc86, "add_to_pipe" },
	{ 0x9718f3bc, "__fs_parse" },
	{ 0x59beb17d, "filemap_splice_read" },
	{ 0x4431d297, "posix_acl_to_xattr" },
	{ 0xe95ea461, "kill_anon_super" },
	{ 0x0710e755, "from_kuid_munged" },
	{ 0x4d7de3ab, "dotdot_name" },
	{ 0x77eef29d, "iget5_locked" },
	{ 0x8a4604b7, "security_dentry_init_security" },
	{ 0xc8ea7112, "filemap_write_and_wait_range" },
	{ 0x1aab4ce5, "get_tree_single" },
	{ 0xd272d446, "rcu_barrier" },
	{ 0xfc750079, "generic_write_checks" },
	{ 0x52a19f35, "iov_iter_revert" },
	{ 0x2838f1d0, "__remove_inode_hash" },
	{ 0xf1de9e85, "kvfree" },
	{ 0xda09b029, "filemap_fault" },
	{ 0x9a48eae4, "d_invalidate" },
	{ 0xaac2f26f, "__mark_inode_dirty" },
	{ 0x4ec53690, "generic_file_llseek" },
	{ 0x6bded543, "get_free_pages_noprof" },
	{ 0xf8e1b842, "simple_read_from_buffer" },
	{ 0xbadc0077, "__kvmalloc_node_noprof" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x09977ec6, "up_read" },
	{ 0x1230435e, "iov_iter_npages" },
	{ 0x2838f1d0, "drop_nlink" },
	{ 0xaaac64bc, "fault_in_iov_iter_readable" },
	{ 0x63a7835c, "filemap_check_errors" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0x32bac17f, "inode_set_ctime_to_ts" },
	{ 0xe76315be, "krealloc_noprof" },
	{ 0x7d2b7b36, "fs_param_is_uid" },
	{ 0xf8a89a89, "bdi_set_max_ratio" },
	{ 0xba9e1367, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x347ef5a7, "kobject_put" },
	{ 0x86c49e96, "nop_mnt_idmap" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xb6c361ff,
	0xec25189c,
	0x83914a71,
	0xaed37abc,
	0x63c2579e,
	0xe15d7df1,
	0xc45d298e,
	0x7f60547e,
	0xfb483a64,
	0x541e499c,
	0x2838f1d0,
	0x3a119093,
	0x677f9d4a,
	0xcd1996f8,
	0x19517bac,
	0x3fd01393,
	0x473b78d7,
	0x8a53eb48,
	0xdc352a3b,
	0xec66c991,
	0x2838f1d0,
	0x5cbbcbb8,
	0x1875b10d,
	0x50d1b68c,
	0x86c49e96,
	0x78f4787a,
	0x63c2579e,
	0x76ceef55,
	0x2c379ca2,
	0x7d2b7b36,
	0xc24fbd64,
	0x809f63d8,
	0x2f33b74e,
	0xdbfc1df0,
	0x8ff86be9,
	0xe795e339,
	0x66ef3f5d,
	0x63251886,
	0xc5331279,
	0x1b3ae3e1,
	0x942f7aed,
	0x4721e33b,
	0xe95ea461,
	0x5490c000,
	0xdca68ccb,
	0xf62c71e3,
	0x0cd02f8e,
	0x08811108,
	0xea85175f,
	0x36366489,
	0x31f8d33d,
	0x76487bda,
	0x22d843bb,
	0x1354d0d6,
	0xd81d6ba8,
	0x1b6a4f05,
	0x62686b7c,
	0x86625630,
	0xdcd0237d,
	0x6de21ccf,
	0x347af6e7,
	0x01bb7e92,
	0x0212f5a8,
	0xd272d446,
	0xfebf2c5d,
	0xc8909373,
	0xfbe7861b,
	0xd69da396,
	0x4d01a2ad,
	0x0b9ea51f,
	0xcb8b6ec6,
	0x37dc14ca,
	0x19eb96cc,
	0x140096f1,
	0x2838f1d0,
	0x58e21dfa,
	0xca5cb4b9,
	0xd2c7d4a1,
	0x07bb97fc,
	0x8ec6f8d5,
	0xb6d2241d,
	0xee1651d5,
	0x6610428d,
	0xfb461919,
	0xe5c1c780,
	0x3b2fb79e,
	0xbff535e7,
	0x6f6a3862,
	0x0433c0cc,
	0x02e1dca7,
	0x1b3ae3e1,
	0x35dfc811,
	0xee1651d5,
	0xf5d8d228,
	0xe025dbef,
	0x49896cf1,
	0x7fdebef3,
	0xd98d9687,
	0xf7897df0,
	0x5b96adef,
	0x2ea8209f,
	0xd4a3976d,
	0x13d7103d,
	0x1aab4ce5,
	0x4a81e1b6,
	0x66c08304,
	0x6b105c8f,
	0xa915e52c,
	0xef3fca2c,
	0x7851be11,
	0x7d2b7b36,
	0x72fa03d5,
	0x9a48eae4,
	0xe95ea461,
	0x2838f1d0,
	0xe8213e80,
	0x22ef6673,
	0x6ea2d190,
	0xd272d446,
	0xb91c6b29,
	0x789502a7,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x93ff54f6,
	0xea0bdb03,
	0x5981748f,
	0x6a34b0fc,
	0xcfc476fa,
	0x7447e552,
	0x0682920f,
	0x0746002e,
	0x0681bae5,
	0x2653e5c1,
	0xee1651d5,
	0x1c104af9,
	0xeed3d079,
	0x2d2a847d,
	0x97324298,
	0x0c161ddc,
	0x1bb62ab0,
	0x9fb51356,
	0x7d2b7b36,
	0xdeee5a21,
	0xd272d446,
	0x2838f1d0,
	0xace6ef13,
	0x44decd6f,
	0xd12680af,
	0x15e22641,
	0x619e8f0b,
	0x05ffde19,
	0x7a5ffe84,
	0x2838f1d0,
	0x743d3a4b,
	0x44aab90d,
	0x29115c7e,
	0xd272d446,
	0xfd7c2a2d,
	0x6f6a3862,
	0xa6015317,
	0x09977ec6,
	0x09977ec6,
	0x786894d4,
	0x9e92417c,
	0x4df08a50,
	0x18a0f037,
	0xdbb02967,
	0xbb7ac8aa,
	0xf270d857,
	0x6b459570,
	0xb9026ae4,
	0x6d67fac4,
	0x7b611b34,
	0x3632fead,
	0x3382f9e9,
	0x70eae9c6,
	0x760fcb1a,
	0x837974f2,
	0xf991b926,
	0x1b6a4f05,
	0x185c5217,
	0x90536def,
	0x70fb8de7,
	0x367f179b,
	0xf5d8d228,
	0x6c4966d3,
	0x90fef8d9,
	0x4f1e5fd0,
	0xb0c87ed9,
	0x8b2c24b0,
	0x5201f61b,
	0x39cd8b5c,
	0x3382f9e9,
	0x36e2c382,
	0xf654f750,
	0xaff69526,
	0xf521a19a,
	0x52a60803,
	0xcfcee046,
	0x0efb674c,
	0x655af28e,
	0x7db71818,
	0x57a2a7c2,
	0xe95ea461,
	0xc24fbd64,
	0xb3763856,
	0x0710e755,
	0x85acaba2,
	0x10aa5452,
	0xdab1b4b7,
	0xb3916437,
	0x9f486f7e,
	0xd272d446,
	0x6ab621cb,
	0xddc4cee0,
	0x8ff86be9,
	0xcd1e9e6a,
	0xf296206e,
	0x9a963e9f,
	0x3fc31fda,
	0xdfa243fe,
	0x50629d65,
	0x9a48eae4,
	0xd8ac5fea,
	0x90536def,
	0xbd94342e,
	0x09977ec6,
	0x8f524df5,
	0x058c185a,
	0x2637a9f3,
	0x36e2c382,
	0xd272d446,
	0xce4af33b,
	0x9fb51356,
	0xdd6830c7,
	0xcdbedf58,
	0xb9fcd065,
	0xa9d85a24,
	0xbed2d78b,
	0xa4c0178c,
	0x818e7aba,
	0xcf44d558,
	0x3fd01393,
	0x760fcb1a,
	0x85acaba2,
	0x977e325f,
	0xd2eb7df6,
	0x6dd49e9f,
	0x39cd8b5c,
	0xb881d753,
	0x5d4b0d4b,
	0x2838f1d0,
	0xaddb04e3,
	0x35dfc811,
	0x23f25c0a,
	0x1aab4ce5,
	0xe69ddf93,
	0x1c7c2c77,
	0x177ebe6d,
	0x9a48eae4,
	0xdf78e6f2,
	0x71798f7e,
	0xe56102e3,
	0x43baf2f5,
	0x29cddae9,
	0x9a48eae4,
	0x0a33b572,
	0xa7ddb7b4,
	0x2637a9f3,
	0x807adc4a,
	0x6f2fdd1d,
	0x349e8974,
	0xc24fbd64,
	0x92593fce,
	0xa1d7977b,
	0xd272d446,
	0x2637a9f3,
	0x02f9bbf0,
	0x9b58f114,
	0xe6a2a545,
	0xe8743501,
	0x04adbc86,
	0x9718f3bc,
	0x59beb17d,
	0x4431d297,
	0xe95ea461,
	0x0710e755,
	0x4d7de3ab,
	0x77eef29d,
	0x8a4604b7,
	0xc8ea7112,
	0x1aab4ce5,
	0xd272d446,
	0xfc750079,
	0x52a19f35,
	0x2838f1d0,
	0xf1de9e85,
	0xda09b029,
	0x9a48eae4,
	0xaac2f26f,
	0x4ec53690,
	0x6bded543,
	0xf8e1b842,
	0xbadc0077,
	0x3e1d392f,
	0x09977ec6,
	0x1230435e,
	0x2838f1d0,
	0xaaac64bc,
	0x63a7835c,
	0x148250ae,
	0x32bac17f,
	0xe76315be,
	0x7d2b7b36,
	0xf8a89a89,
	0xba9e1367,
	0xaef1f20d,
	0x347ef5a7,
	0x86c49e96,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"super_setup_bdi_name\0"
	"posix_test_lock\0"
	"truncate_inode_pages\0"
	"noop_backing_dev_info\0"
	"pipe_lock\0"
	"generic_fillattr\0"
	"is_vmalloc_addr\0"
	"vfs_fsync_range\0"
	"setattr_prepare\0"
	"filemap_migrate_folio\0"
	"clear_nlink\0"
	"file_check_and_advance_wb_err\0"
	"d_alloc_parallel\0"
	"vmemmap\0"
	"__init_rwsem\0"
	"d_instantiate\0"
	"page_put_link\0"
	"misc_deregister\0"
	"__list_add_valid_or_report\0"
	"make_vfsgid\0"
	"clear_inode\0"
	"inode_to_bdi\0"
	"find_pid_ns\0"
	"idr_find\0"
	"invalid_mnt_idmap\0"
	"simple_dir_inode_operations\0"
	"pipe_unlock\0"
	"__kmalloc_noprof\0"
	"unpin_folio\0"
	"fs_param_is_string\0"
	"folio_unlock\0"
	"arch_spin_lock_wait\0"
	"new_inode\0"
	"filemap_map_pages\0"
	"complete\0"
	"dump_page\0"
	"trace_raw_output_prep\0"
	"forget_all_cached_acls\0"
	"init_special_inode\0"
	"unregister_filesystem\0"
	"task_active_pid_ns\0"
	"iov_iter_single_seg_count\0"
	"retire_super\0"
	"rb_next\0"
	"__trace_trigger_soft_disabled\0"
	"finish_wait\0"
	"d_alloc_name\0"
	"replace_page_cache_folio\0"
	"inode_query_iversion\0"
	"iov_iter_advance\0"
	"kill_fasync\0"
	"d_make_root\0"
	"trace_event_printf\0"
	"backing_file_splice_write\0"
	"sb_set_blocksize\0"
	"fget\0"
	"simple_fill_super\0"
	"sync_filesystem\0"
	"sget_fc\0"
	"param_set_uint\0"
	"d_splice_alias\0"
	"iov_iter_get_pages2\0"
	"direct_write_fallback\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"from_vfsuid\0"
	"generic_permission\0"
	"truncate_pagecache_range\0"
	"kfree\0"
	"invalidate_inode_pages2_range\0"
	"posix_lock_file\0"
	"finish_open\0"
	"iput\0"
	"filemap_range_has_writeback\0"
	"kiocb_modified\0"
	"get_next_ino\0"
	"logfc\0"
	"iter_file_splice_write\0"
	"prepare_to_wait_event\0"
	"folio_mark_dirty_lock\0"
	"init_pid_ns\0"
	"iov_iter_init\0"
	"d_lookup\0"
	"fileattr_fill_flags\0"
	"sysfs_create_mount_point\0"
	"generic_file_write_iter\0"
	"__wake_up\0"
	"free_pages\0"
	"register_filesystem\0"
	"folio_add_lru\0"
	"folio_clear_dirty_for_io\0"
	"rb_insert_color\0"
	"sync_inode_metadata\0"
	"simple_empty\0"
	"copy_folio_from_iter_atomic\0"
	"vfs_setpos\0"
	"full_name_hash\0"
	"shrink_dcache_parent\0"
	"make_vfsuid\0"
	"__put_cred\0"
	"backing_file_open\0"
	"get_tree_nodev\0"
	"splice_file_range\0"
	"trace_event_buffer_commit\0"
	"filemap_fdatawrite_range_kick\0"
	"simple_inode_init_ts\0"
	"locks_lock_inode_wait\0"
	"current_umask\0"
	"fs_param_is_u32\0"
	"inode_newsize_ok\0"
	"d_drop\0"
	"kill_block_super\0"
	"unlock_new_inode\0"
	"_printk\0"
	"bdi_put\0"
	"posix_acl_from_xattr\0"
	"schedule\0"
	"param_get_uint\0"
	"sysctl_vals\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"unregister_sysctl_table\0"
	"make_kuid\0"
	"truncate_inode_pages_final\0"
	"fs_kobj\0"
	"__filemap_set_wb_err\0"
	"simple_dir_operations\0"
	"generic_file_mmap\0"
	"strnlen\0"
	"backing_file_mmap\0"
	"__filemap_get_folio\0"
	"folio_mark_dirty\0"
	"put_pid_ns\0"
	"kstrtoul_from_user\0"
	"setattr_should_drop_suidgid\0"
	"security_release_secctx\0"
	"capable\0"
	"iov_iter_extract_pages\0"
	"backing_file_write_iter\0"
	"fs_param_is_gid\0"
	"fs_context_for_submount\0"
	"__s390_indirect_jump_r6\0"
	"inode_init_once\0"
	"file_write_and_wait_range\0"
	"hugetlb_optimize_vmemmap_key\0"
	"idr_remove\0"
	"nosteal_pipe_buf_ops\0"
	"ilookup5\0"
	"prepare_creds\0"
	"init_wait_entry\0"
	"inode_nohighmem\0"
	"perf_trace_buf_alloc\0"
	"release_pages\0"
	"page_get_link_raw\0"
	"__s390_indirect_jump_r9\0"
	"perf_trace_run_bpf_submit\0"
	"generic_file_direct_write\0"
	"fput\0"
	"down_write\0"
	"up_write\0"
	"generic_file_read_iter\0"
	"inode_maybe_inc_iversion\0"
	"unlock_page\0"
	"thp_get_unmapped_area\0"
	"memchr\0"
	"truncate_pagecache\0"
	"put_fs_context\0"
	"xa_load\0"
	"fileattr_fill_xflags\0"
	"backing_file_splice_read\0"
	"idr_preload\0"
	"write_cache_pages\0"
	"file_update_time\0"
	"set_nlink\0"
	"mutex_lock\0"
	"kmem_cache_alloc_lru_noprof\0"
	"kmem_cache_free\0"
	"fget_raw\0"
	"vfsgid_in_group_p\0"
	"from_kgid\0"
	"fasync_helper\0"
	"trace_event_reg\0"
	"rb_erase\0"
	"proc_douintvec_minmax\0"
	"folio_wait_writeback\0"
	"__list_del_entry_valid_or_report\0"
	"from_vfsgid\0"
	"write_inode_now\0"
	"__cpu_online_mask\0"
	"d_obtain_alias\0"
	"file_modified\0"
	"copy_page_to_iter\0"
	"_totalram_pages\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"folio_end_read\0"
	"finish_no_open\0"
	"idr_alloc_cyclic\0"
	"__folio_start_writeback\0"
	"bpf_trace_run1\0"
	"idr_destroy\0"
	"kill_litter_super\0"
	"folio_end_writeback\0"
	"folio_alloc_noprof\0"
	"from_kuid\0"
	"cancel_delayed_work\0"
	"current_in_userns\0"
	"fc_mount\0"
	"register_sysctl_sz\0"
	"sysfs_remove_mount_point\0"
	"__s390_indirect_jump_r14\0"
	"misc_register\0"
	"timespec64_to_jiffies\0"
	"wait_for_completion\0"
	"kmem_cache_alloc_noprof\0"
	"nr_cpu_ids\0"
	"__init_waitqueue_head\0"
	"in_group_or_capable\0"
	"make_kgid\0"
	"rb_first\0"
	"d_delete\0"
	"__kmem_cache_create_args\0"
	"from_kgid_munged\0"
	"kobject_create_and_add\0"
	"down_read\0"
	"wb_writeout_inc\0"
	"jiffies\0"
	"nonseekable_open\0"
	"copy_page_from_iter\0"
	"__s390_indirect_jump_r1\0"
	"kstrdup\0"
	"backing_file_read_iter\0"
	"sprintf\0"
	"idr_for_each\0"
	"call_rcu\0"
	"fdget\0"
	"igrab\0"
	"kvfree_call_rcu\0"
	"generic_read_dir\0"
	"trace_event_buffer_reserve\0"
	"d_add\0"
	"mutex_unlock\0"
	"cancel_delayed_work_sync\0"
	"percpu_counter_add_batch\0"
	"param_ops_bool\0"
	"init_user_ns\0"
	"d_find_alias\0"
	"invalidate_inode_pages2\0"
	"inode_set_ctime_current\0"
	"inc_nlink\0"
	"seq_write\0"
	"__folio_put\0"
	"__dynamic_pr_debug\0"
	"get_tree_bdev\0"
	"__kmalloc_cache_noprof\0"
	"set_anon_super_fc\0"
	"seq_printf\0"
	"dput\0"
	"lockref_get\0"
	"delayed_work_timer_fn\0"
	"generic_delete_inode\0"
	"deactivate_locked_super\0"
	"touch_atime\0"
	"__d_lookup_unhash_wake\0"
	"set_page_dirty_lock\0"
	"pid_nr_ns\0"
	"generic_file_open\0"
	"truncate_inode_pages_range\0"
	"__put_user_ns\0"
	"alloc_pages_noprof\0"
	"__folio_lock\0"
	"filemap_dirty_folio\0"
	"pagecache_get_page\0"
	"__s390_indirect_jump_r5\0"
	"stream_open\0"
	"timer_init_key\0"
	"get_random_bytes\0"
	"errseq_set\0"
	"__wake_up_sync\0"
	"add_to_pipe\0"
	"__fs_parse\0"
	"filemap_splice_read\0"
	"posix_acl_to_xattr\0"
	"kill_anon_super\0"
	"from_kuid_munged\0"
	"dotdot_name\0"
	"iget5_locked\0"
	"security_dentry_init_security\0"
	"filemap_write_and_wait_range\0"
	"get_tree_single\0"
	"rcu_barrier\0"
	"generic_write_checks\0"
	"iov_iter_revert\0"
	"__remove_inode_hash\0"
	"kvfree\0"
	"filemap_fault\0"
	"d_invalidate\0"
	"__mark_inode_dirty\0"
	"generic_file_llseek\0"
	"get_free_pages_noprof\0"
	"simple_read_from_buffer\0"
	"__kvmalloc_node_noprof\0"
	"trace_handle_return\0"
	"up_read\0"
	"iov_iter_npages\0"
	"drop_nlink\0"
	"fault_in_iov_iter_readable\0"
	"filemap_check_errors\0"
	"kmalloc_caches\0"
	"inode_set_ctime_to_ts\0"
	"krealloc_noprof\0"
	"fs_param_is_uid\0"
	"bdi_set_max_ratio\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"kobject_put\0"
	"nop_mnt_idmap\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ECE4171EBFD245DB8BE71FF");
MODULE_INFO(rhelversion, "10.99");
