#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs_uuid_init, "_gpl", "");
KSYMTAB_FUNC(nfs_uuid_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_uuid_end, "_gpl", "");
KSYMTAB_FUNC(nfs_uuid_is_local, "_gpl", "");
KSYMTAB_FUNC(nfs_localio_enable_client, "_gpl", "");
KSYMTAB_FUNC(nfs_localio_disable_client, "_gpl", "");
KSYMTAB_FUNC(nfs_localio_invalidate_clients, "_gpl", "");
KSYMTAB_FUNC(nfs_open_local_fh, "_gpl", "");
KSYMTAB_FUNC(nfs_close_local_fh, "_gpl", "");
KSYMTAB_DATA(nfs_to, "_gpl", "");

SYMBOL_CRC(nfs_uuid_init, 0xe25640bf, "_gpl");
SYMBOL_CRC(nfs_uuid_begin, 0x0c4175d2, "_gpl");
SYMBOL_CRC(nfs_uuid_end, 0xe25640bf, "_gpl");
SYMBOL_CRC(nfs_uuid_is_local, 0x825a150c, "_gpl");
SYMBOL_CRC(nfs_localio_enable_client, 0x860fcfab, "_gpl");
SYMBOL_CRC(nfs_localio_disable_client, 0x860fcfab, "_gpl");
SYMBOL_CRC(nfs_localio_invalidate_clients, 0xcc81a064, "_gpl");
SYMBOL_CRC(nfs_open_local_fh, 0x303e5a54, "_gpl");
SYMBOL_CRC(nfs_close_local_fh, 0x2f9ad033, "_gpl");
SYMBOL_CRC(nfs_to, 0x017bf4d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x66ef3f5d, "trace_raw_output_prep" },
	{ 0xdca68ccb, "__trace_trigger_soft_disabled" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x22d843bb, "trace_event_printf" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfebf2c5d, "trace_event_raw_init" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x1e562ce8, "__module_get" },
	{ 0x66c08304, "trace_event_buffer_commit" },
	{ 0xd272d446, "schedule" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xcc410e9c, "init_wait_var_entry" },
	{ 0x1e562ce8, "module_put" },
	{ 0xb82d68eb, "__var_waitqueue" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xb6771ae3, "uuid_gen" },
	{ 0xfd7c2a2d, "perf_trace_run_bpf_submit" },
	{ 0x367f179b, "trace_event_reg" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x66b814fd, "wake_up_var" },
	{ 0x7db71818, "bpf_trace_run1" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xcf44d558, "trace_event_buffer_reserve" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0xec06d231, "auth_domain_put" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xdc352a3b,
	0x809f63d8,
	0xd272d446,
	0x66ef3f5d,
	0xdca68ccb,
	0xf62c71e3,
	0x22d843bb,
	0xd272d446,
	0xfebf2c5d,
	0xfbe7861b,
	0xb6d2241d,
	0x1e562ce8,
	0x66c08304,
	0xd272d446,
	0x2520ea93,
	0xd272d446,
	0xcc410e9c,
	0x1e562ce8,
	0xb82d68eb,
	0xd272d446,
	0x7851be11,
	0x743d3a4b,
	0xd272d446,
	0xb6771ae3,
	0xfd7c2a2d,
	0x367f179b,
	0x4f1e5fd0,
	0x5201f61b,
	0x66b814fd,
	0x7db71818,
	0xd272d446,
	0xd272d446,
	0xcf44d558,
	0xd272d446,
	0x3e1d392f,
	0xec06d231,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__list_add_valid_or_report\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"trace_raw_output_prep\0"
	"__trace_trigger_soft_disabled\0"
	"finish_wait\0"
	"trace_event_printf\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"memcpy\0"
	"prepare_to_wait_event\0"
	"__module_get\0"
	"trace_event_buffer_commit\0"
	"schedule\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"init_wait_var_entry\0"
	"module_put\0"
	"__var_waitqueue\0"
	"__s390_indirect_jump_r6\0"
	"__cond_resched\0"
	"perf_trace_buf_alloc\0"
	"__s390_indirect_jump_r9\0"
	"uuid_gen\0"
	"perf_trace_run_bpf_submit\0"
	"trace_event_reg\0"
	"__list_del_entry_valid_or_report\0"
	"__cpu_online_mask\0"
	"wake_up_var\0"
	"bpf_trace_run1\0"
	"__s390_indirect_jump_r14\0"
	"__s390_indirect_jump_r1\0"
	"trace_event_buffer_reserve\0"
	"__s390_indirect_jump_r5\0"
	"trace_handle_return\0"
	"auth_domain_put\0"
	"module_layout\0"
;

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "3A8C07C131F358AE9C848FF");
MODULE_INFO(rhelversion, "10.99");
