#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xb79bafdf, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x3aa1019f, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x3bb15cc3, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x179b234f, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x179b234f, "_gpl");
SYMBOL_CRC(br_forward, 0x0fc63e59, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xc317a67e, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x5d72d97e, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x95fba486, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xe503b25a, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x815b2ef6, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x815b2ef6, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xe3953167, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xac708d7d, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xac708d7d, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xac708d7d, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xffe7d230, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x095828f7, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x02ced650, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x02ced650, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xb207d6e2, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xb207d6e2, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xffe7d230, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x804d63af, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x992c761a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99dcb3b3, "netdev_lower_get_next" },
	{ 0xa8dbe645, "dev_set_mtu" },
	{ 0x46f920e1, "netdev_increment_features" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xd272d446, "rtnl_unlock" },
	{ 0x38113fd7, "dev_pre_changeaddr_notify" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xb63d8399, "__rht_bucket_nested" },
	{ 0x24c8c253, "skb_copy_bits" },
	{ 0x9fcebb87, "__nlmsg_put" },
	{ 0x9caa7f8b, "switchdev_port_attr_set" },
	{ 0x79b37e5c, "ipv6_mc_check_mld" },
	{ 0x35b71ae3, "skb_put" },
	{ 0x13f6c2ee, "__percpu_counter_init_many" },
	{ 0x777c5e24, "call_switchdev_notifiers" },
	{ 0xefbf54c8, "sysfs_create_file_ns" },
	{ 0x9d2ac898, "static_key_slow_inc" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x7851be11, "rtnl_is_locked" },
	{ 0xd223dbfb, "netdev_update_features" },
	{ 0xd1a8e9d0, "consume_skb" },
	{ 0x20fe0e51, "csum_partial" },
	{ 0xfbe7861b, "memmove" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x9c98fc66, "__traceiter_br_fdb_add" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xa1a7509d, "__netpoll_free" },
	{ 0xf7c2669b, "jiffies_to_clock_t" },
	{ 0x775c42f9, "nla_put_64bit" },
	{ 0xa31732d4, "__traceiter_br_fdb_update" },
	{ 0xb85e4e66, "get_user_ifreq" },
	{ 0xf287139d, "dev_uc_del" },
	{ 0xbb97973f, "netpoll_send_skb" },
	{ 0xf29503c8, "rtnl_link_register" },
	{ 0xfd285498, "unregister_switchdev_notifier" },
	{ 0xe91767e7, "sysfs_create_bin_file" },
	{ 0x494c552b, "_find_first_zero_bit" },
	{ 0x684ffd7f, "percpu_counter_destroy_many" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xf8ba178d, "switchdev_port_obj_act_is_deferred" },
	{ 0x5cf72826, "dev_get_iflink" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xabc1fdb5, "dev_set_promiscuity" },
	{ 0x2352b148, "timer_delete" },
	{ 0x2352b148, "timer_delete_sync" },
	{ 0x7851be11, "net_ratelimit" },
	{ 0x3ae71ebd, "unregister_netdevice_queue" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0xa6a33da7, "bitmap_free" },
	{ 0xc1434f70, "__per_cpu_offset" },
	{ 0x224efe54, "netdev_state_change" },
	{ 0xf5b7ef78, "__pskb_copy_fclone" },
	{ 0x1d4eb4b5, "__dev_get_by_name" },
	{ 0xd7c0a874, "ether_setup" },
	{ 0xa7ea0407, "netdev_err" },
	{ 0x92560267, "pskb_expand_head" },
	{ 0x461041d8, "register_pernet_subsys" },
	{ 0x462ecb4a, "static_key_slow_dec" },
	{ 0xf35fd163, "brioctl_set" },
	{ 0x6b93d0d4, "dev_addr_mod" },
	{ 0x462ecb4a, "static_key_disable" },
	{ 0xa5d962b2, "arp_xmit" },
	{ 0xbe3b9161, "__traceiter_br_mdb_full" },
	{ 0x31f24763, "alloc_netdev_mqs" },
	{ 0x4ba5104d, "passthru_features_check" },
	{ 0x176f9914, "nla_put_nohdr" },
	{ 0xe8213e80, "_printk" },
	{ 0x51905738, "do_trace_netlink_extack" },
	{ 0x2352b148, "timer_delete_sync_try" },
	{ 0xd223dbfb, "netdev_rx_handler_unregister" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xda46fd8d, "rtnl_af_register" },
	{ 0x597dde29, "__tracepoint_br_mdb_full" },
	{ 0x0746002e, "strnlen" },
	{ 0x8e3a8f6d, "__alloc_skb" },
	{ 0x7b0eaf4a, "rtnl_set_sk_err" },
	{ 0xa2e6a189, "skb_vlan_pop" },
	{ 0xd0641f3a, "rtnl_unicast" },
	{ 0xa370ec59, "sysfs_create_link" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0x7851be11, "__cond_resched" },
	{ 0xd2c5ec91, "ipv6_dev_get_saddr" },
	{ 0x97427af7, "kstrndup" },
	{ 0x35dcd6d7, "nla_reserve_64bit" },
	{ 0x148edf97, "__ip_mc_dec_group" },
	{ 0x3d9fc8b0, "vlan_dev_real_dev" },
	{ 0x2e89a3a7, "rcuref_get_slowpath" },
	{ 0x641de767, "__dev_get_by_index" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x80fa6cf9, "rtnl_link_unregister" },
	{ 0xd272d446, "switchdev_deferred_process" },
	{ 0xad0083d7, "dev_get_port_parent_id" },
	{ 0x98222e0d, "init_net" },
	{ 0x45eac842, "ipv6_stub" },
	{ 0x2aad1119, "inet_confirm_addr" },
	{ 0x35b71ae3, "skb_pull" },
	{ 0xd272d446, "synchronize_rcu" },
	{ 0x773397c2, "sysfs_remove_link" },
	{ 0x8f015ec8, "skb_vlan_untag" },
	{ 0xfd285498, "unregister_switchdev_blocking_notifier" },
	{ 0xdeb97982, "rtnl_af_unregister" },
	{ 0xee8a2c68, "sk_skb_reason_drop" },
	{ 0x32feeafc, "mod_timer" },
	{ 0x88cd17e1, "call_usermodehelper" },
	{ 0x7851be11, "rtnl_trylock" },
	{ 0x1bad3315, "arp_send" },
	{ 0x641de767, "dev_get_by_index_rcu" },
	{ 0x597dde29, "__tracepoint_br_fdb_add" },
	{ 0xa2e0769e, "__traceiter_fdb_delete" },
	{ 0x27687163, "mac_pton" },
	{ 0x35b71ae3, "skb_push" },
	{ 0xf991b926, "kmem_cache_free" },
	{ 0xeb2f9a76, "ndo_dflt_fdb_dump" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xfae489f3, "netdev_upper_dev_unlink" },
	{ 0xa4c75743, "netif_receive_skb" },
	{ 0x3500e6c8, "nla_put" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0x4387832c, "llc_mac_hdr_init" },
	{ 0x86b955f6, "__rtnl_register_many" },
	{ 0xd223dbfb, "free_netdev" },
	{ 0xba77031a, "nla_find" },
	{ 0x8ce83585, "mod_delayed_work_on" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xdc8edef9, "kobject_init_and_add" },
	{ 0xca8661eb, "__skb_warn_lro_forwarding" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0x775d5379, "ns_capable" },
	{ 0x1cff304a, "inet_select_addr" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x0156fe23, "sysfs_create_group" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x90b371d0, "ethtool_op_get_link" },
	{ 0x4d77e769, "clock_t_to_jiffies" },
	{ 0x519768eb, "arp_create" },
	{ 0xf45bdc91, "__ethtool_get_link_ksettings" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xe199f25f, "jiffies_to_msecs" },
	{ 0x550eb39b, "stp_proto_register" },
	{ 0x597dde29, "__tracepoint_br_fdb_update" },
	{ 0x18e0757b, "sysfs_rename_link_ns" },
	{ 0xeedb450c, "unregister_pernet_subsys" },
	{ 0x5201f61b, "__cpu_possible_mask" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xb34d1fb3, "bitmap_zalloc" },
	{ 0x98ebb92b, "rht_bucket_nested_insert" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x2352b148, "timer_shutdown_sync" },
	{ 0x5ff52f68, "nla_memcpy" },
	{ 0xcd1e9e6a, "kmem_cache_alloc_noprof" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0x79d1d62b, "switchdev_port_obj_add" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0xa33fdcb4, "__pskb_pull_tail" },
	{ 0x2e2a6e2f, "dev_get_tstats64" },
	{ 0xfd285498, "register_switchdev_notifier" },
	{ 0xa4c75743, "netif_rx" },
	{ 0x50629d65, "rb_first" },
	{ 0x6de50045, "ip_mc_check_igmp" },
	{ 0x2c3cb18a, "__netdev_alloc_skb" },
	{ 0x6b6f3cb4, "rhashtable_destroy" },
	{ 0xd8ac5fea, "__kmem_cache_create_args" },
	{ 0xab2ccb82, "switchdev_port_obj_del" },
	{ 0xf5a8222c, "netdev_master_upper_dev_link" },
	{ 0xaef1f20d, "system_long_wq" },
	{ 0xbd94342e, "kobject_create_and_add" },
	{ 0x7f1287ff, "skb_trim" },
	{ 0x770fcc08, "nf_hook_slow" },
	{ 0xfd285498, "unregister_netdevice_notifier" },
	{ 0xb2bd519f, "__dynamic_netdev_dbg" },
	{ 0x690cdb06, "free_percpu" },
	{ 0x058c185a, "jiffies" },
	{ 0x148edf97, "__ip_mc_inc_group" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xa6b12bef, "netdev_walk_all_upper_dev_rcu" },
	{ 0x47d37961, "sysfs_remove_group" },
	{ 0x2a224b56, "__traceiter_br_fdb_external_learn_add" },
	{ 0x4134ad7d, "in_dev_finish_destroy" },
	{ 0xb692236f, "nf_hooks_needed" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xa78d9adc, "rhashtable_insert_slow" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x597dde29, "__tracepoint_fdb_delete" },
	{ 0xb9fcd065, "call_rcu" },
	{ 0x1350d33b, "__netpoll_setup" },
	{ 0x896ebb08, "__dev_queue_xmit" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0x37f6e67b, "vlan_vid_add" },
	{ 0x76d0d127, "neigh_destroy" },
	{ 0x597dde29, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x322234a2, "pcpu_alloc_noprof" },
	{ 0x347ef5a7, "kobject_del" },
	{ 0xd51baa74, "rhashtable_init_noprof" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0xc7a55b67, "call_netdevice_notifiers" },
	{ 0x5785c1f1, "is_skb_forwardable" },
	{ 0xc2505dd6, "vlan_vid_del" },
	{ 0xabc1fdb5, "dev_set_allmulti" },
	{ 0xb40d68fa, "net_ns_get_ownership" },
	{ 0xfd285498, "register_switchdev_blocking_notifier" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0x7f72421a, "netdev_master_upper_dev_get" },
	{ 0x7b82b987, "ipv6_dev_mc_inc" },
	{ 0xb24c1415, "rtnl_notify" },
	{ 0x2d88a3ab, "cancel_work_sync" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd2c1864d, "netif_carrier_off" },
	{ 0xfd285498, "register_netdevice_notifier" },
	{ 0xa21156c8, "__vlan_find_dev_deep_rcu" },
	{ 0xd1b13cd8, "ip_send_check" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x0a589842, "simple_strtoul" },
	{ 0x21cd99e5, "skb_clone" },
	{ 0xf9c0d95f, "metadata_dst_alloc" },
	{ 0x381c2f75, "dst_release" },
	{ 0xd2c1864d, "netif_carrier_on" },
	{ 0x4d1c8640, "kobject_uevent" },
	{ 0x0c605662, "arp_tbl" },
	{ 0x7b82b987, "ipv6_dev_mc_dec" },
	{ 0xd272d446, "rtnl_lock" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xf118549a, "netdev_rx_handler_register" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xf287139d, "dev_uc_add" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0x2f241a06, "netif_set_tso_max_size" },
	{ 0x224efe54, "dev_disable_lro" },
	{ 0x29306960, "ipv6_chk_addr" },
	{ 0xd272d446, "rcu_barrier" },
	{ 0xc93e65b8, "dev_get_flags" },
	{ 0x29162e08, "__rtnl_unregister_many" },
	{ 0x44decd6f, "tc_skb_ext_tc" },
	{ 0x33b9287e, "dev_kfree_skb_any_reason" },
	{ 0xa20c3799, "__nla_parse" },
	{ 0xa7ea0407, "netdev_notice" },
	{ 0xbd9aacde, "round_jiffies" },
	{ 0xfe0f6220, "nf_queue" },
	{ 0xc9257418, "netif_set_tso_max_segs" },
	{ 0x296b9459, "strchr" },
	{ 0x11bc29e1, "skb_ext_add" },
	{ 0xaaf408c9, "sysfs_remove_bin_file" },
	{ 0xb63d8399, "rht_bucket_nested" },
	{ 0xd8a29bd7, "stp_proto_unregister" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0xdf47a683, "neigh_lookup" },
	{ 0xba9e1367, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0x347ef5a7, "kobject_put" },
	{ 0xd272d446, "synchronize_net" },
	{ 0x8ceadb34, "register_netdevice" },
	{ 0x462ecb4a, "static_key_enable" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x99dcb3b3,
	0xa8dbe645,
	0x46f920e1,
	0xa61fd7aa,
	0xd272d446,
	0x38113fd7,
	0xdc352a3b,
	0xb63d8399,
	0x24c8c253,
	0x9fcebb87,
	0x9caa7f8b,
	0x79b37e5c,
	0x35b71ae3,
	0x13f6c2ee,
	0x777c5e24,
	0xefbf54c8,
	0x9d2ac898,
	0x534ed5f3,
	0x76ceef55,
	0x7851be11,
	0xd223dbfb,
	0xd1a8e9d0,
	0x20fe0e51,
	0xfbe7861b,
	0x809f63d8,
	0xd272d446,
	0xe6befa9f,
	0x9c98fc66,
	0x49733ad6,
	0xa1a7509d,
	0xf7c2669b,
	0x775c42f9,
	0xa31732d4,
	0xb85e4e66,
	0xf287139d,
	0xbb97973f,
	0xf29503c8,
	0xfd285498,
	0xe91767e7,
	0x494c552b,
	0x684ffd7f,
	0xd272d446,
	0xfbe7861b,
	0xf8ba178d,
	0x5cf72826,
	0xcb8b6ec6,
	0xabc1fdb5,
	0x2352b148,
	0x2352b148,
	0x7851be11,
	0x3ae71ebd,
	0xf5d8d228,
	0xa6a33da7,
	0xc1434f70,
	0x224efe54,
	0xf5b7ef78,
	0x1d4eb4b5,
	0xd7c0a874,
	0xa7ea0407,
	0x92560267,
	0x461041d8,
	0x462ecb4a,
	0xf35fd163,
	0x6b93d0d4,
	0x462ecb4a,
	0xa5d962b2,
	0xbe3b9161,
	0x31f24763,
	0x4ba5104d,
	0x176f9914,
	0xe8213e80,
	0x51905738,
	0x2352b148,
	0xd223dbfb,
	0x2520ea93,
	0xd272d446,
	0xda46fd8d,
	0x597dde29,
	0x0746002e,
	0x8e3a8f6d,
	0x7b0eaf4a,
	0xa2e6a189,
	0xd0641f3a,
	0xa370ec59,
	0x999a5f5f,
	0x7851be11,
	0xd2c5ec91,
	0x97427af7,
	0x35dcd6d7,
	0x148edf97,
	0x3d9fc8b0,
	0x2e89a3a7,
	0x641de767,
	0xd272d446,
	0x80fa6cf9,
	0xd272d446,
	0xad0083d7,
	0x98222e0d,
	0x45eac842,
	0x2aad1119,
	0x35b71ae3,
	0xd272d446,
	0x773397c2,
	0x8f015ec8,
	0xfd285498,
	0xdeb97982,
	0xee8a2c68,
	0x32feeafc,
	0x88cd17e1,
	0x7851be11,
	0x1bad3315,
	0x641de767,
	0x597dde29,
	0xa2e0769e,
	0x27687163,
	0x35b71ae3,
	0xf991b926,
	0xeb2f9a76,
	0x5a4baedb,
	0xfae489f3,
	0xa4c75743,
	0x3500e6c8,
	0xf5d8d228,
	0x4387832c,
	0x86b955f6,
	0xd223dbfb,
	0xba77031a,
	0x8ce83585,
	0x4f1e5fd0,
	0xdc8edef9,
	0xca8661eb,
	0x86632fd6,
	0x775d5379,
	0x1cff304a,
	0x5201f61b,
	0x8cb0d1eb,
	0x0156fe23,
	0xfcc2e8f3,
	0x90b371d0,
	0x4d77e769,
	0x519768eb,
	0xf45bdc91,
	0xf521a19a,
	0xe199f25f,
	0x550eb39b,
	0x597dde29,
	0x18e0757b,
	0xeedb450c,
	0x5201f61b,
	0xbd069841,
	0xb34d1fb3,
	0x98ebb92b,
	0xd272d446,
	0x2352b148,
	0x5ff52f68,
	0xcd1e9e6a,
	0x783f158a,
	0x79d1d62b,
	0xf296206e,
	0xa33fdcb4,
	0x2e2a6e2f,
	0xfd285498,
	0xa4c75743,
	0x50629d65,
	0x6de50045,
	0x2c3cb18a,
	0x6b6f3cb4,
	0xd8ac5fea,
	0xab2ccb82,
	0xf5a8222c,
	0xaef1f20d,
	0xbd94342e,
	0x7f1287ff,
	0x770fcc08,
	0xfd285498,
	0xb2bd519f,
	0x690cdb06,
	0x058c185a,
	0x148edf97,
	0xd272d446,
	0xa6b12bef,
	0x47d37961,
	0x2a224b56,
	0x4134ad7d,
	0xb692236f,
	0xd272d446,
	0xa78d9adc,
	0xdd6830c7,
	0x597dde29,
	0xb9fcd065,
	0x1350d33b,
	0x896ebb08,
	0xa4c0178c,
	0x37f6e67b,
	0x76d0d127,
	0x597dde29,
	0x322234a2,
	0x347ef5a7,
	0xd51baa74,
	0x85acaba2,
	0xc7a55b67,
	0x5785c1f1,
	0xc2505dd6,
	0xabc1fdb5,
	0xb40d68fa,
	0xfd285498,
	0x23f25c0a,
	0xe69ddf93,
	0x7f72421a,
	0x7b82b987,
	0xb24c1415,
	0x2d88a3ab,
	0x546c19d9,
	0x75738bed,
	0xd2c1864d,
	0xfd285498,
	0xa21156c8,
	0xd1b13cd8,
	0x71798f7e,
	0x0a589842,
	0x21cd99e5,
	0xf9c0d95f,
	0x381c2f75,
	0xd2c1864d,
	0x4d1c8640,
	0x0c605662,
	0x7b82b987,
	0xd272d446,
	0xd272d446,
	0xf118549a,
	0x02f9bbf0,
	0xf287139d,
	0x9b58f114,
	0x2f241a06,
	0x224efe54,
	0x29306960,
	0xd272d446,
	0xc93e65b8,
	0x29162e08,
	0x44decd6f,
	0x33b9287e,
	0xa20c3799,
	0xa7ea0407,
	0xbd9aacde,
	0xfe0f6220,
	0xc9257418,
	0x296b9459,
	0x11bc29e1,
	0xaaf408c9,
	0xb63d8399,
	0xd8a29bd7,
	0x148250ae,
	0xdf47a683,
	0xba9e1367,
	0xaef1f20d,
	0x2d88a3ab,
	0x347ef5a7,
	0xd272d446,
	0x8ceadb34,
	0x462ecb4a,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"netdev_lower_get_next\0"
	"dev_set_mtu\0"
	"netdev_increment_features\0"
	"__check_object_size\0"
	"rtnl_unlock\0"
	"dev_pre_changeaddr_notify\0"
	"__list_add_valid_or_report\0"
	"__rht_bucket_nested\0"
	"skb_copy_bits\0"
	"__nlmsg_put\0"
	"switchdev_port_attr_set\0"
	"ipv6_mc_check_mld\0"
	"skb_put\0"
	"__percpu_counter_init_many\0"
	"call_switchdev_notifiers\0"
	"sysfs_create_file_ns\0"
	"static_key_slow_inc\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"rtnl_is_locked\0"
	"netdev_update_features\0"
	"consume_skb\0"
	"csum_partial\0"
	"memmove\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"__traceiter_br_fdb_add\0"
	"queue_work_on\0"
	"__netpoll_free\0"
	"jiffies_to_clock_t\0"
	"nla_put_64bit\0"
	"__traceiter_br_fdb_update\0"
	"get_user_ifreq\0"
	"dev_uc_del\0"
	"netpoll_send_skb\0"
	"rtnl_link_register\0"
	"unregister_switchdev_notifier\0"
	"sysfs_create_bin_file\0"
	"_find_first_zero_bit\0"
	"percpu_counter_destroy_many\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"switchdev_port_obj_act_is_deferred\0"
	"dev_get_iflink\0"
	"kfree\0"
	"dev_set_promiscuity\0"
	"timer_delete\0"
	"timer_delete_sync\0"
	"net_ratelimit\0"
	"unregister_netdevice_queue\0"
	"rb_insert_color\0"
	"bitmap_free\0"
	"__per_cpu_offset\0"
	"netdev_state_change\0"
	"__pskb_copy_fclone\0"
	"__dev_get_by_name\0"
	"ether_setup\0"
	"netdev_err\0"
	"pskb_expand_head\0"
	"register_pernet_subsys\0"
	"static_key_slow_dec\0"
	"brioctl_set\0"
	"dev_addr_mod\0"
	"static_key_disable\0"
	"arp_xmit\0"
	"__traceiter_br_mdb_full\0"
	"alloc_netdev_mqs\0"
	"passthru_features_check\0"
	"nla_put_nohdr\0"
	"_printk\0"
	"do_trace_netlink_extack\0"
	"timer_delete_sync_try\0"
	"netdev_rx_handler_unregister\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"rtnl_af_register\0"
	"__tracepoint_br_mdb_full\0"
	"strnlen\0"
	"__alloc_skb\0"
	"rtnl_set_sk_err\0"
	"skb_vlan_pop\0"
	"rtnl_unicast\0"
	"sysfs_create_link\0"
	"sized_strscpy\0"
	"__cond_resched\0"
	"ipv6_dev_get_saddr\0"
	"kstrndup\0"
	"nla_reserve_64bit\0"
	"__ip_mc_dec_group\0"
	"vlan_dev_real_dev\0"
	"rcuref_get_slowpath\0"
	"__dev_get_by_index\0"
	"__s390_indirect_jump_r9\0"
	"rtnl_link_unregister\0"
	"switchdev_deferred_process\0"
	"dev_get_port_parent_id\0"
	"init_net\0"
	"ipv6_stub\0"
	"inet_confirm_addr\0"
	"skb_pull\0"
	"synchronize_rcu\0"
	"sysfs_remove_link\0"
	"skb_vlan_untag\0"
	"unregister_switchdev_blocking_notifier\0"
	"rtnl_af_unregister\0"
	"sk_skb_reason_drop\0"
	"mod_timer\0"
	"call_usermodehelper\0"
	"rtnl_trylock\0"
	"arp_send\0"
	"dev_get_by_index_rcu\0"
	"__tracepoint_br_fdb_add\0"
	"__traceiter_fdb_delete\0"
	"mac_pton\0"
	"skb_push\0"
	"kmem_cache_free\0"
	"ndo_dflt_fdb_dump\0"
	"strncmp\0"
	"netdev_upper_dev_unlink\0"
	"netif_receive_skb\0"
	"nla_put\0"
	"rb_erase\0"
	"llc_mac_hdr_init\0"
	"__rtnl_register_many\0"
	"free_netdev\0"
	"nla_find\0"
	"mod_delayed_work_on\0"
	"__list_del_entry_valid_or_report\0"
	"kobject_init_and_add\0"
	"__skb_warn_lro_forwarding\0"
	"_find_next_bit\0"
	"ns_capable\0"
	"inet_select_addr\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"sysfs_create_group\0"
	"__local_bh_enable_ip\0"
	"ethtool_op_get_link\0"
	"clock_t_to_jiffies\0"
	"arp_create\0"
	"__ethtool_get_link_ksettings\0"
	"__fortify_panic\0"
	"jiffies_to_msecs\0"
	"stp_proto_register\0"
	"__tracepoint_br_fdb_update\0"
	"sysfs_rename_link_ns\0"
	"unregister_pernet_subsys\0"
	"__cpu_possible_mask\0"
	"kstrtoull\0"
	"bitmap_zalloc\0"
	"rht_bucket_nested_insert\0"
	"__s390_indirect_jump_r14\0"
	"timer_shutdown_sync\0"
	"nla_memcpy\0"
	"kmem_cache_alloc_noprof\0"
	"kmemdup_noprof\0"
	"switchdev_port_obj_add\0"
	"nr_cpu_ids\0"
	"__pskb_pull_tail\0"
	"dev_get_tstats64\0"
	"register_switchdev_notifier\0"
	"netif_rx\0"
	"rb_first\0"
	"ip_mc_check_igmp\0"
	"__netdev_alloc_skb\0"
	"rhashtable_destroy\0"
	"__kmem_cache_create_args\0"
	"switchdev_port_obj_del\0"
	"netdev_master_upper_dev_link\0"
	"system_long_wq\0"
	"kobject_create_and_add\0"
	"skb_trim\0"
	"nf_hook_slow\0"
	"unregister_netdevice_notifier\0"
	"__dynamic_netdev_dbg\0"
	"free_percpu\0"
	"jiffies\0"
	"__ip_mc_inc_group\0"
	"__s390_indirect_jump_r1\0"
	"netdev_walk_all_upper_dev_rcu\0"
	"sysfs_remove_group\0"
	"__traceiter_br_fdb_external_learn_add\0"
	"in_dev_finish_destroy\0"
	"nf_hooks_needed\0"
	"__s390_indirect_jump_r8\0"
	"rhashtable_insert_slow\0"
	"sprintf\0"
	"__tracepoint_fdb_delete\0"
	"call_rcu\0"
	"__netpoll_setup\0"
	"__dev_queue_xmit\0"
	"kvfree_call_rcu\0"
	"vlan_vid_add\0"
	"neigh_destroy\0"
	"__tracepoint_br_fdb_external_learn_add\0"
	"pcpu_alloc_noprof\0"
	"kobject_del\0"
	"rhashtable_init_noprof\0"
	"cancel_delayed_work_sync\0"
	"call_netdevice_notifiers\0"
	"is_skb_forwardable\0"
	"vlan_vid_del\0"
	"dev_set_allmulti\0"
	"net_ns_get_ownership\0"
	"register_switchdev_blocking_notifier\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"netdev_master_upper_dev_get\0"
	"ipv6_dev_mc_inc\0"
	"rtnl_notify\0"
	"cancel_work_sync\0"
	"validate_usercopy_range\0"
	"__warn_printk\0"
	"netif_carrier_off\0"
	"register_netdevice_notifier\0"
	"__vlan_find_dev_deep_rcu\0"
	"ip_send_check\0"
	"delayed_work_timer_fn\0"
	"simple_strtoul\0"
	"skb_clone\0"
	"metadata_dst_alloc\0"
	"dst_release\0"
	"netif_carrier_on\0"
	"kobject_uevent\0"
	"arp_tbl\0"
	"ipv6_dev_mc_dec\0"
	"rtnl_lock\0"
	"__s390_indirect_jump_r5\0"
	"netdev_rx_handler_register\0"
	"timer_init_key\0"
	"dev_uc_add\0"
	"get_random_bytes\0"
	"netif_set_tso_max_size\0"
	"dev_disable_lro\0"
	"ipv6_chk_addr\0"
	"rcu_barrier\0"
	"dev_get_flags\0"
	"__rtnl_unregister_many\0"
	"tc_skb_ext_tc\0"
	"dev_kfree_skb_any_reason\0"
	"__nla_parse\0"
	"netdev_notice\0"
	"round_jiffies\0"
	"nf_queue\0"
	"netif_set_tso_max_segs\0"
	"strchr\0"
	"skb_ext_add\0"
	"sysfs_remove_bin_file\0"
	"rht_bucket_nested\0"
	"stp_proto_unregister\0"
	"kmalloc_caches\0"
	"neigh_lookup\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"flush_work\0"
	"kobject_put\0"
	"synchronize_net\0"
	"register_netdevice\0"
	"static_key_enable\0"
	"module_layout\0"
;

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "A628DA59D617A1004CC9577");
MODULE_INFO(rhelversion, "10.99");
