#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nfct_h323_nat_hook, "_gpl", "");
KSYMTAB_FUNC(get_h225_addr, "_gpl", "");

SYMBOL_CRC(nfct_h323_nat_hook, 0xa4f50791, "_gpl");
SYMBOL_CRC(get_h225_addr, 0x313dcc11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24c8c253, "skb_copy_bits" },
	{ 0xd2eb7df6, "param_ops_uint" },
	{ 0x32feeafc, "mod_timer_pending" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0x16fd89bf, "__nf_ct_ext_find" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xed48887c, "__nf_ip6_route" },
	{ 0x2e81ebee, "nf_ct_helper_log" },
	{ 0x76ceef55, "__kmalloc_large_noprof" },
	{ 0x5286007a, "nf_conntrack_expect_lock" },
	{ 0xfb69c533, "__nf_ct_expect_find" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x0119258d, "nf_conntrack_helpers_unregister" },
	{ 0xce9f8094, "nf_ct_expect_related_report" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0xfc744d03, "nf_ct_expect_alloc" },
	{ 0xbe608f07, "nf_ct_expect_put" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x3bdf1511, "nf_conntrack_helpers_register" },
	{ 0x5e64bacf, "nf_ip_route" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xd2eb7df6, "param_ops_bool" },
	{ 0xe6c62922, "nf_ct_expect_init" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x381c2f75, "dst_release" },
	{ 0x8ffe9332, "nf_conntrack_helper_unregister" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x27555ab9, "__nf_ct_refresh_acct" },
	{ 0x789effa3, "nf_conntrack_helper_register" },
	{ 0xd2eb7df6, "param_ops_int" },
	{ 0xbe608f07, "nf_ct_unexpect_related" },
	{ 0xe2887102, "nf_ct_remove_expectations" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x24c8c253,
	0xd2eb7df6,
	0x32feeafc,
	0x809f63d8,
	0xd272d446,
	0xd272d446,
	0x16fd89bf,
	0xfbe7861b,
	0xcb8b6ec6,
	0xed48887c,
	0x2e81ebee,
	0x76ceef55,
	0x5286007a,
	0xfb69c533,
	0xd272d446,
	0xd272d446,
	0x0119258d,
	0xce9f8094,
	0xd272d446,
	0xfc744d03,
	0xbe608f07,
	0xfcc2e8f3,
	0xd272d446,
	0x3bdf1511,
	0x5e64bacf,
	0x058c185a,
	0xd272d446,
	0xd272d446,
	0xd2eb7df6,
	0xe6c62922,
	0x23f25c0a,
	0x381c2f75,
	0x8ffe9332,
	0xd272d446,
	0x27555ab9,
	0x789effa3,
	0xd2eb7df6,
	0xbe608f07,
	0xe2887102,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"skb_copy_bits\0"
	"param_ops_uint\0"
	"mod_timer_pending\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"__s390_indirect_jump_r13\0"
	"__nf_ct_ext_find\0"
	"memcpy\0"
	"kfree\0"
	"__nf_ip6_route\0"
	"nf_ct_helper_log\0"
	"__kmalloc_large_noprof\0"
	"nf_conntrack_expect_lock\0"
	"__nf_ct_expect_find\0"
	"__s390_indirect_jump_r6\0"
	"__s390_indirect_jump_r9\0"
	"nf_conntrack_helpers_unregister\0"
	"nf_ct_expect_related_report\0"
	"__s390_indirect_jump_r10\0"
	"nf_ct_expect_alloc\0"
	"nf_ct_expect_put\0"
	"__local_bh_enable_ip\0"
	"__s390_indirect_jump_r14\0"
	"nf_conntrack_helpers_register\0"
	"nf_ip_route\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r8\0"
	"param_ops_bool\0"
	"nf_ct_expect_init\0"
	"__dynamic_pr_debug\0"
	"dst_release\0"
	"nf_conntrack_helper_unregister\0"
	"__s390_indirect_jump_r11\0"
	"__nf_ct_refresh_acct\0"
	"nf_conntrack_helper_register\0"
	"param_ops_int\0"
	"nf_ct_unexpect_related\0"
	"nf_ct_remove_expectations\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "09D59137168DF80B41D8845");
MODULE_INFO(rhelversion, "10.99");
