#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x943ad6c3, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x889dde02, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x7f56a7e6, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xc24dc8fc, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xeeae76a2, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x24387899, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x4bcb16e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x9b4b48a0, "_ctype" },
	{ 0x50a50d79, "strncasecmp" },
	{ 0x329fc928, "in6_pton" },
	{ 0x329fc928, "in4_pton" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x0a589842, "simple_strtoul" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x8559b1c2, "nf_ct_helper_init" },
	{ 0x3bdf1511, "nf_conntrack_helpers_register" },
	{ 0xe8213e80, "_printk" },
	{ 0x0119258d, "nf_conntrack_helpers_unregister" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x2e81ebee, "nf_ct_helper_log" },
	{ 0xed48887c, "__nf_ip6_route" },
	{ 0x381c2f75, "dst_release" },
	{ 0xfb69c533, "__nf_ct_expect_find" },
	{ 0xfc744d03, "nf_ct_expect_alloc" },
	{ 0xe6c62922, "nf_ct_expect_init" },
	{ 0xce9f8094, "nf_ct_expect_related_report" },
	{ 0xbe608f07, "nf_ct_expect_put" },
	{ 0x16fd89bf, "__nf_ct_ext_find" },
	{ 0xbe608f07, "nf_ct_unexpect_related" },
	{ 0x5e64bacf, "nf_ip_route" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x5286007a, "nf_conntrack_expect_lock" },
	{ 0x092f3e2b, "nf_ct_remove_expect" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x27555ab9, "__nf_ct_refresh_acct" },
	{ 0xa33fdcb4, "__pskb_pull_tail" },
	{ 0x24c8c253, "skb_copy_bits" },
	{ 0x058c185a, "jiffies" },
	{ 0x32feeafc, "mod_timer_pending" },
	{ 0xd2eb7df6, "param_ops_ushort" },
	{ 0xd2eb7df6, "param_ops_int" },
	{ 0xd2eb7df6, "param_ops_uint" },
	{ 0xd2eb7df6, "param_array_ops" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0x9b4b48a0,
	0x50a50d79,
	0x329fc928,
	0x329fc928,
	0x23f25c0a,
	0x0a589842,
	0x5a4baedb,
	0xd272d446,
	0x8559b1c2,
	0x3bdf1511,
	0xe8213e80,
	0x0119258d,
	0xd272d446,
	0xd272d446,
	0x2e81ebee,
	0xed48887c,
	0x381c2f75,
	0xfb69c533,
	0xfc744d03,
	0xe6c62922,
	0xce9f8094,
	0xbe608f07,
	0x16fd89bf,
	0xbe608f07,
	0x5e64bacf,
	0xd272d446,
	0x5286007a,
	0x092f3e2b,
	0xfcc2e8f3,
	0x809f63d8,
	0x27555ab9,
	0xa33fdcb4,
	0x24c8c253,
	0x058c185a,
	0x32feeafc,
	0xd2eb7df6,
	0xd2eb7df6,
	0xd2eb7df6,
	0xd2eb7df6,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r14\0"
	"_ctype\0"
	"strncasecmp\0"
	"in6_pton\0"
	"in4_pton\0"
	"__dynamic_pr_debug\0"
	"simple_strtoul\0"
	"strncmp\0"
	"__s390_indirect_jump_r11\0"
	"nf_ct_helper_init\0"
	"nf_conntrack_helpers_register\0"
	"_printk\0"
	"nf_conntrack_helpers_unregister\0"
	"__s390_indirect_jump_r9\0"
	"__s390_indirect_jump_r6\0"
	"nf_ct_helper_log\0"
	"__nf_ip6_route\0"
	"dst_release\0"
	"__nf_ct_expect_find\0"
	"nf_ct_expect_alloc\0"
	"nf_ct_expect_init\0"
	"nf_ct_expect_related_report\0"
	"nf_ct_expect_put\0"
	"__nf_ct_ext_find\0"
	"nf_ct_unexpect_related\0"
	"nf_ip_route\0"
	"__s390_indirect_jump_r1\0"
	"nf_conntrack_expect_lock\0"
	"nf_ct_remove_expect\0"
	"__local_bh_enable_ip\0"
	"arch_spin_lock_wait\0"
	"__nf_ct_refresh_acct\0"
	"__pskb_pull_tail\0"
	"skb_copy_bits\0"
	"jiffies\0"
	"mod_timer_pending\0"
	"param_ops_ushort\0"
	"param_ops_int\0"
	"param_ops_uint\0"
	"param_array_ops\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "874DF5165C4DA6A0D2C7D3A");
MODULE_INFO(rhelversion, "10.99");
