#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfnl_lock, "_gpl", "");
KSYMTAB_FUNC(nfnl_unlock, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_subsys_register, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_subsys_unregister, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_has_listeners, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_send, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_set_err, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_unicast, "_gpl", "");
KSYMTAB_FUNC(nfnetlink_broadcast, "_gpl", "");

SYMBOL_CRC(nfnl_lock, 0x03f3eeba, "_gpl");
SYMBOL_CRC(nfnl_unlock, 0x03f3eeba, "_gpl");
SYMBOL_CRC(nfnetlink_subsys_register, 0xa3aca904, "_gpl");
SYMBOL_CRC(nfnetlink_subsys_unregister, 0xa3aca904, "_gpl");
SYMBOL_CRC(nfnetlink_has_listeners, 0x98269a8b, "_gpl");
SYMBOL_CRC(nfnetlink_send, 0x4e9d13a9, "_gpl");
SYMBOL_CRC(nfnetlink_set_err, 0xd3ba749a, "_gpl");
SYMBOL_CRC(nfnetlink_unicast, 0x52e2f6da, "_gpl");
SYMBOL_CRC(nfnetlink_broadcast, 0x93d8b792, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xd272d446, "synchronize_rcu" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xd65c57c8, "netlink_has_listeners" },
	{ 0x0c505c1d, "nlmsg_notify" },
	{ 0x7e4f4335, "netlink_set_err" },
	{ 0xb666241c, "netlink_unicast" },
	{ 0xc90fde14, "netlink_broadcast" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x461041d8, "register_pernet_subsys" },
	{ 0x2c161425, "netlink_kernel_release" },
	{ 0xa20c3799, "__nla_parse" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x148250ae, "kmalloc_caches" },
	{ 0xe69ddf93, "__kmalloc_cache_noprof" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x4028cd6e, "__netlink_kernel_create" },
	{ 0xeedb450c, "unregister_pernet_subsys" },
	{ 0x93a79314, "nf_ctnetlink_has_listener" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x21cd99e5, "skb_clone" },
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0xe74d56fa, "try_module_get" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x35b71ae3, "skb_pull" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xd1a8e9d0, "consume_skb" },
	{ 0x1e562ce8, "module_put" },
	{ 0x04867061, "netlink_ack" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xe78d828d, "netlink_net_capable" },
	{ 0x0f9b311f, "netlink_rcv_skb" },
	{ 0xda5a3b4a, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x760fcb1a,
	0x760fcb1a,
	0xd272d446,
	0xd272d446,
	0xd65c57c8,
	0x0c505c1d,
	0x7e4f4335,
	0xb666241c,
	0xc90fde14,
	0xaff69526,
	0x461041d8,
	0x2c161425,
	0xa20c3799,
	0xd272d446,
	0x37c0b5f3,
	0xd272d446,
	0x148250ae,
	0xe69ddf93,
	0xdc352a3b,
	0x4028cd6e,
	0xeedb450c,
	0x93a79314,
	0x809f63d8,
	0x21cd99e5,
	0xc45d298e,
	0xe74d56fa,
	0xd272d446,
	0xd272d446,
	0x35b71ae3,
	0x4f1e5fd0,
	0xcb8b6ec6,
	0xd1a8e9d0,
	0x1e562ce8,
	0x04867061,
	0xd272d446,
	0xd272d446,
	0xe78d828d,
	0x0f9b311f,
	0xda5a3b4a,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"mutex_lock\0"
	"mutex_unlock\0"
	"synchronize_rcu\0"
	"__s390_indirect_jump_r14\0"
	"netlink_has_listeners\0"
	"nlmsg_notify\0"
	"netlink_set_err\0"
	"netlink_unicast\0"
	"netlink_broadcast\0"
	"__mutex_init\0"
	"register_pernet_subsys\0"
	"netlink_kernel_release\0"
	"__nla_parse\0"
	"__s390_indirect_jump_r6\0"
	"__request_module\0"
	"__s390_indirect_jump_r10\0"
	"kmalloc_caches\0"
	"__kmalloc_cache_noprof\0"
	"__list_add_valid_or_report\0"
	"__netlink_kernel_create\0"
	"unregister_pernet_subsys\0"
	"nf_ctnetlink_has_listener\0"
	"arch_spin_lock_wait\0"
	"skb_clone\0"
	"is_vmalloc_addr\0"
	"try_module_get\0"
	"__s390_indirect_jump_r5\0"
	"__s390_indirect_jump_r7\0"
	"skb_pull\0"
	"__list_del_entry_valid_or_report\0"
	"kfree\0"
	"consume_skb\0"
	"module_put\0"
	"netlink_ack\0"
	"__s390_indirect_jump_r13\0"
	"__s390_indirect_jump_r1\0"
	"netlink_net_capable\0"
	"netlink_rcv_skb\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62E6F12176E0A5F4C2925F8");
MODULE_INFO(rhelversion, "10.99");
